import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchGetApplicationRevisionsInput, BatchGetApplicationRevisionsOutput } from "../models/models_0";
import { deserializeAws_json1_1BatchGetApplicationRevisionsCommand, serializeAws_json1_1BatchGetApplicationRevisionsCommand, } from "../protocols/Aws_json1_1";
var BatchGetApplicationRevisionsCommand = (function (_super) {
    __extends(BatchGetApplicationRevisionsCommand, _super);
    function BatchGetApplicationRevisionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchGetApplicationRevisionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "BatchGetApplicationRevisionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchGetApplicationRevisionsInput.filterSensitiveLog,
            outputFilterSensitiveLog: BatchGetApplicationRevisionsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchGetApplicationRevisionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1BatchGetApplicationRevisionsCommand(input, context);
    };
    BatchGetApplicationRevisionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1BatchGetApplicationRevisionsCommand(output, context);
    };
    return BatchGetApplicationRevisionsCommand;
}($Command));
export { BatchGetApplicationRevisionsCommand };
