import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchGetApplicationsInput, BatchGetApplicationsOutput } from "../models/models_0";
import { deserializeAws_json1_1BatchGetApplicationsCommand, serializeAws_json1_1BatchGetApplicationsCommand, } from "../protocols/Aws_json1_1";
var BatchGetApplicationsCommand = (function (_super) {
    __extends(BatchGetApplicationsCommand, _super);
    function BatchGetApplicationsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchGetApplicationsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "BatchGetApplicationsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchGetApplicationsInput.filterSensitiveLog,
            outputFilterSensitiveLog: BatchGetApplicationsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchGetApplicationsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1BatchGetApplicationsCommand(input, context);
    };
    BatchGetApplicationsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1BatchGetApplicationsCommand(output, context);
    };
    return BatchGetApplicationsCommand;
}($Command));
export { BatchGetApplicationsCommand };
