import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchGetDeploymentGroupsInput, BatchGetDeploymentGroupsOutput } from "../models/models_0";
import { deserializeAws_json1_1BatchGetDeploymentGroupsCommand, serializeAws_json1_1BatchGetDeploymentGroupsCommand, } from "../protocols/Aws_json1_1";
var BatchGetDeploymentGroupsCommand = (function (_super) {
    __extends(BatchGetDeploymentGroupsCommand, _super);
    function BatchGetDeploymentGroupsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchGetDeploymentGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "BatchGetDeploymentGroupsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchGetDeploymentGroupsInput.filterSensitiveLog,
            outputFilterSensitiveLog: BatchGetDeploymentGroupsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchGetDeploymentGroupsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1BatchGetDeploymentGroupsCommand(input, context);
    };
    BatchGetDeploymentGroupsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1BatchGetDeploymentGroupsCommand(output, context);
    };
    return BatchGetDeploymentGroupsCommand;
}($Command));
export { BatchGetDeploymentGroupsCommand };
