import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchGetDeploymentInstancesInput, BatchGetDeploymentInstancesOutput } from "../models/models_0";
import { deserializeAws_json1_1BatchGetDeploymentInstancesCommand, serializeAws_json1_1BatchGetDeploymentInstancesCommand, } from "../protocols/Aws_json1_1";
var BatchGetDeploymentInstancesCommand = (function (_super) {
    __extends(BatchGetDeploymentInstancesCommand, _super);
    function BatchGetDeploymentInstancesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchGetDeploymentInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "BatchGetDeploymentInstancesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchGetDeploymentInstancesInput.filterSensitiveLog,
            outputFilterSensitiveLog: BatchGetDeploymentInstancesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchGetDeploymentInstancesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1BatchGetDeploymentInstancesCommand(input, context);
    };
    BatchGetDeploymentInstancesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1BatchGetDeploymentInstancesCommand(output, context);
    };
    return BatchGetDeploymentInstancesCommand;
}($Command));
export { BatchGetDeploymentInstancesCommand };
