import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchGetDeploymentTargetsInput, BatchGetDeploymentTargetsOutput } from "../models/models_0";
import { deserializeAws_json1_1BatchGetDeploymentTargetsCommand, serializeAws_json1_1BatchGetDeploymentTargetsCommand, } from "../protocols/Aws_json1_1";
var BatchGetDeploymentTargetsCommand = (function (_super) {
    __extends(BatchGetDeploymentTargetsCommand, _super);
    function BatchGetDeploymentTargetsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchGetDeploymentTargetsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "BatchGetDeploymentTargetsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchGetDeploymentTargetsInput.filterSensitiveLog,
            outputFilterSensitiveLog: BatchGetDeploymentTargetsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchGetDeploymentTargetsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1BatchGetDeploymentTargetsCommand(input, context);
    };
    BatchGetDeploymentTargetsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1BatchGetDeploymentTargetsCommand(output, context);
    };
    return BatchGetDeploymentTargetsCommand;
}($Command));
export { BatchGetDeploymentTargetsCommand };
