import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchGetDeploymentsInput, BatchGetDeploymentsOutput } from "../models/models_0";
import { deserializeAws_json1_1BatchGetDeploymentsCommand, serializeAws_json1_1BatchGetDeploymentsCommand, } from "../protocols/Aws_json1_1";
var BatchGetDeploymentsCommand = (function (_super) {
    __extends(BatchGetDeploymentsCommand, _super);
    function BatchGetDeploymentsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchGetDeploymentsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "BatchGetDeploymentsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchGetDeploymentsInput.filterSensitiveLog,
            outputFilterSensitiveLog: BatchGetDeploymentsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchGetDeploymentsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1BatchGetDeploymentsCommand(input, context);
    };
    BatchGetDeploymentsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1BatchGetDeploymentsCommand(output, context);
    };
    return BatchGetDeploymentsCommand;
}($Command));
export { BatchGetDeploymentsCommand };
