import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchGetOnPremisesInstancesInput, BatchGetOnPremisesInstancesOutput } from "../models/models_0";
import { deserializeAws_json1_1BatchGetOnPremisesInstancesCommand, serializeAws_json1_1BatchGetOnPremisesInstancesCommand, } from "../protocols/Aws_json1_1";
var BatchGetOnPremisesInstancesCommand = (function (_super) {
    __extends(BatchGetOnPremisesInstancesCommand, _super);
    function BatchGetOnPremisesInstancesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchGetOnPremisesInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "BatchGetOnPremisesInstancesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchGetOnPremisesInstancesInput.filterSensitiveLog,
            outputFilterSensitiveLog: BatchGetOnPremisesInstancesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchGetOnPremisesInstancesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1BatchGetOnPremisesInstancesCommand(input, context);
    };
    BatchGetOnPremisesInstancesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1BatchGetOnPremisesInstancesCommand(output, context);
    };
    return BatchGetOnPremisesInstancesCommand;
}($Command));
export { BatchGetOnPremisesInstancesCommand };
