import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ContinueDeploymentInput } from "../models/models_0";
import { deserializeAws_json1_1ContinueDeploymentCommand, serializeAws_json1_1ContinueDeploymentCommand, } from "../protocols/Aws_json1_1";
var ContinueDeploymentCommand = (function (_super) {
    __extends(ContinueDeploymentCommand, _super);
    function ContinueDeploymentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ContinueDeploymentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "ContinueDeploymentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ContinueDeploymentInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ContinueDeploymentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ContinueDeploymentCommand(input, context);
    };
    ContinueDeploymentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ContinueDeploymentCommand(output, context);
    };
    return ContinueDeploymentCommand;
}($Command));
export { ContinueDeploymentCommand };
