import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateDeploymentInput, CreateDeploymentOutput } from "../models/models_0";
import { deserializeAws_json1_1CreateDeploymentCommand, serializeAws_json1_1CreateDeploymentCommand, } from "../protocols/Aws_json1_1";
var CreateDeploymentCommand = (function (_super) {
    __extends(CreateDeploymentCommand, _super);
    function CreateDeploymentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateDeploymentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "CreateDeploymentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateDeploymentInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateDeploymentOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateDeploymentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateDeploymentCommand(input, context);
    };
    CreateDeploymentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateDeploymentCommand(output, context);
    };
    return CreateDeploymentCommand;
}($Command));
export { CreateDeploymentCommand };
