import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateDeploymentConfigInput, CreateDeploymentConfigOutput } from "../models/models_0";
import { deserializeAws_json1_1CreateDeploymentConfigCommand, serializeAws_json1_1CreateDeploymentConfigCommand, } from "../protocols/Aws_json1_1";
var CreateDeploymentConfigCommand = (function (_super) {
    __extends(CreateDeploymentConfigCommand, _super);
    function CreateDeploymentConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateDeploymentConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "CreateDeploymentConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateDeploymentConfigInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateDeploymentConfigOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateDeploymentConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateDeploymentConfigCommand(input, context);
    };
    CreateDeploymentConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateDeploymentConfigCommand(output, context);
    };
    return CreateDeploymentConfigCommand;
}($Command));
export { CreateDeploymentConfigCommand };
