import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateDeploymentGroupInput, CreateDeploymentGroupOutput } from "../models/models_0";
import { deserializeAws_json1_1CreateDeploymentGroupCommand, serializeAws_json1_1CreateDeploymentGroupCommand, } from "../protocols/Aws_json1_1";
var CreateDeploymentGroupCommand = (function (_super) {
    __extends(CreateDeploymentGroupCommand, _super);
    function CreateDeploymentGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateDeploymentGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "CreateDeploymentGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateDeploymentGroupInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateDeploymentGroupOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateDeploymentGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateDeploymentGroupCommand(input, context);
    };
    CreateDeploymentGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateDeploymentGroupCommand(output, context);
    };
    return CreateDeploymentGroupCommand;
}($Command));
export { CreateDeploymentGroupCommand };
