import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteDeploymentGroupInput, DeleteDeploymentGroupOutput } from "../models/models_0";
import { deserializeAws_json1_1DeleteDeploymentGroupCommand, serializeAws_json1_1DeleteDeploymentGroupCommand, } from "../protocols/Aws_json1_1";
var DeleteDeploymentGroupCommand = (function (_super) {
    __extends(DeleteDeploymentGroupCommand, _super);
    function DeleteDeploymentGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteDeploymentGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "DeleteDeploymentGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteDeploymentGroupInput.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteDeploymentGroupOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteDeploymentGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteDeploymentGroupCommand(input, context);
    };
    DeleteDeploymentGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteDeploymentGroupCommand(output, context);
    };
    return DeleteDeploymentGroupCommand;
}($Command));
export { DeleteDeploymentGroupCommand };
