import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteGitHubAccountTokenInput, DeleteGitHubAccountTokenOutput } from "../models/models_0";
import { deserializeAws_json1_1DeleteGitHubAccountTokenCommand, serializeAws_json1_1DeleteGitHubAccountTokenCommand, } from "../protocols/Aws_json1_1";
var DeleteGitHubAccountTokenCommand = (function (_super) {
    __extends(DeleteGitHubAccountTokenCommand, _super);
    function DeleteGitHubAccountTokenCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteGitHubAccountTokenCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "DeleteGitHubAccountTokenCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteGitHubAccountTokenInput.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteGitHubAccountTokenOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteGitHubAccountTokenCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteGitHubAccountTokenCommand(input, context);
    };
    DeleteGitHubAccountTokenCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteGitHubAccountTokenCommand(output, context);
    };
    return DeleteGitHubAccountTokenCommand;
}($Command));
export { DeleteGitHubAccountTokenCommand };
