import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteResourcesByExternalIdInput, DeleteResourcesByExternalIdOutput } from "../models/models_0";
import { deserializeAws_json1_1DeleteResourcesByExternalIdCommand, serializeAws_json1_1DeleteResourcesByExternalIdCommand, } from "../protocols/Aws_json1_1";
var DeleteResourcesByExternalIdCommand = (function (_super) {
    __extends(DeleteResourcesByExternalIdCommand, _super);
    function DeleteResourcesByExternalIdCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteResourcesByExternalIdCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "DeleteResourcesByExternalIdCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteResourcesByExternalIdInput.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteResourcesByExternalIdOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteResourcesByExternalIdCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteResourcesByExternalIdCommand(input, context);
    };
    DeleteResourcesByExternalIdCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteResourcesByExternalIdCommand(output, context);
    };
    return DeleteResourcesByExternalIdCommand;
}($Command));
export { DeleteResourcesByExternalIdCommand };
