import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeregisterOnPremisesInstanceInput } from "../models/models_0";
import { deserializeAws_json1_1DeregisterOnPremisesInstanceCommand, serializeAws_json1_1DeregisterOnPremisesInstanceCommand, } from "../protocols/Aws_json1_1";
var DeregisterOnPremisesInstanceCommand = (function (_super) {
    __extends(DeregisterOnPremisesInstanceCommand, _super);
    function DeregisterOnPremisesInstanceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeregisterOnPremisesInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "DeregisterOnPremisesInstanceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeregisterOnPremisesInstanceInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeregisterOnPremisesInstanceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeregisterOnPremisesInstanceCommand(input, context);
    };
    DeregisterOnPremisesInstanceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeregisterOnPremisesInstanceCommand(output, context);
    };
    return DeregisterOnPremisesInstanceCommand;
}($Command));
export { DeregisterOnPremisesInstanceCommand };
