import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetApplicationInput, GetApplicationOutput } from "../models/models_0";
import { deserializeAws_json1_1GetApplicationCommand, serializeAws_json1_1GetApplicationCommand, } from "../protocols/Aws_json1_1";
var GetApplicationCommand = (function (_super) {
    __extends(GetApplicationCommand, _super);
    function GetApplicationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetApplicationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "GetApplicationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetApplicationInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetApplicationOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetApplicationCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetApplicationCommand(input, context);
    };
    GetApplicationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetApplicationCommand(output, context);
    };
    return GetApplicationCommand;
}($Command));
export { GetApplicationCommand };
