import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetApplicationRevisionInput, GetApplicationRevisionOutput } from "../models/models_0";
import { deserializeAws_json1_1GetApplicationRevisionCommand, serializeAws_json1_1GetApplicationRevisionCommand, } from "../protocols/Aws_json1_1";
var GetApplicationRevisionCommand = (function (_super) {
    __extends(GetApplicationRevisionCommand, _super);
    function GetApplicationRevisionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetApplicationRevisionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "GetApplicationRevisionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetApplicationRevisionInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetApplicationRevisionOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetApplicationRevisionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetApplicationRevisionCommand(input, context);
    };
    GetApplicationRevisionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetApplicationRevisionCommand(output, context);
    };
    return GetApplicationRevisionCommand;
}($Command));
export { GetApplicationRevisionCommand };
