import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetDeploymentInput, GetDeploymentOutput } from "../models/models_0";
import { deserializeAws_json1_1GetDeploymentCommand, serializeAws_json1_1GetDeploymentCommand, } from "../protocols/Aws_json1_1";
var GetDeploymentCommand = (function (_super) {
    __extends(GetDeploymentCommand, _super);
    function GetDeploymentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetDeploymentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "GetDeploymentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetDeploymentInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetDeploymentOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetDeploymentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetDeploymentCommand(input, context);
    };
    GetDeploymentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetDeploymentCommand(output, context);
    };
    return GetDeploymentCommand;
}($Command));
export { GetDeploymentCommand };
