import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetDeploymentConfigInput, GetDeploymentConfigOutput } from "../models/models_0";
import { deserializeAws_json1_1GetDeploymentConfigCommand, serializeAws_json1_1GetDeploymentConfigCommand, } from "../protocols/Aws_json1_1";
var GetDeploymentConfigCommand = (function (_super) {
    __extends(GetDeploymentConfigCommand, _super);
    function GetDeploymentConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetDeploymentConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "GetDeploymentConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetDeploymentConfigInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetDeploymentConfigOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetDeploymentConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetDeploymentConfigCommand(input, context);
    };
    GetDeploymentConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetDeploymentConfigCommand(output, context);
    };
    return GetDeploymentConfigCommand;
}($Command));
export { GetDeploymentConfigCommand };
