import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetDeploymentGroupInput, GetDeploymentGroupOutput } from "../models/models_0";
import { deserializeAws_json1_1GetDeploymentGroupCommand, serializeAws_json1_1GetDeploymentGroupCommand, } from "../protocols/Aws_json1_1";
var GetDeploymentGroupCommand = (function (_super) {
    __extends(GetDeploymentGroupCommand, _super);
    function GetDeploymentGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetDeploymentGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "GetDeploymentGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetDeploymentGroupInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetDeploymentGroupOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetDeploymentGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetDeploymentGroupCommand(input, context);
    };
    GetDeploymentGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetDeploymentGroupCommand(output, context);
    };
    return GetDeploymentGroupCommand;
}($Command));
export { GetDeploymentGroupCommand };
