import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetDeploymentInstanceInput, GetDeploymentInstanceOutput } from "../models/models_0";
import { deserializeAws_json1_1GetDeploymentInstanceCommand, serializeAws_json1_1GetDeploymentInstanceCommand, } from "../protocols/Aws_json1_1";
var GetDeploymentInstanceCommand = (function (_super) {
    __extends(GetDeploymentInstanceCommand, _super);
    function GetDeploymentInstanceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetDeploymentInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "GetDeploymentInstanceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetDeploymentInstanceInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetDeploymentInstanceOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetDeploymentInstanceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetDeploymentInstanceCommand(input, context);
    };
    GetDeploymentInstanceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetDeploymentInstanceCommand(output, context);
    };
    return GetDeploymentInstanceCommand;
}($Command));
export { GetDeploymentInstanceCommand };
