import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetDeploymentTargetInput, GetDeploymentTargetOutput } from "../models/models_0";
import { deserializeAws_json1_1GetDeploymentTargetCommand, serializeAws_json1_1GetDeploymentTargetCommand, } from "../protocols/Aws_json1_1";
var GetDeploymentTargetCommand = (function (_super) {
    __extends(GetDeploymentTargetCommand, _super);
    function GetDeploymentTargetCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetDeploymentTargetCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "GetDeploymentTargetCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetDeploymentTargetInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetDeploymentTargetOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetDeploymentTargetCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetDeploymentTargetCommand(input, context);
    };
    GetDeploymentTargetCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetDeploymentTargetCommand(output, context);
    };
    return GetDeploymentTargetCommand;
}($Command));
export { GetDeploymentTargetCommand };
