import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetOnPremisesInstanceInput, GetOnPremisesInstanceOutput } from "../models/models_0";
import { deserializeAws_json1_1GetOnPremisesInstanceCommand, serializeAws_json1_1GetOnPremisesInstanceCommand, } from "../protocols/Aws_json1_1";
var GetOnPremisesInstanceCommand = (function (_super) {
    __extends(GetOnPremisesInstanceCommand, _super);
    function GetOnPremisesInstanceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetOnPremisesInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "GetOnPremisesInstanceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetOnPremisesInstanceInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetOnPremisesInstanceOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetOnPremisesInstanceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetOnPremisesInstanceCommand(input, context);
    };
    GetOnPremisesInstanceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetOnPremisesInstanceCommand(output, context);
    };
    return GetOnPremisesInstanceCommand;
}($Command));
export { GetOnPremisesInstanceCommand };
