import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListApplicationRevisionsInput, ListApplicationRevisionsOutput } from "../models/models_0";
import { deserializeAws_json1_1ListApplicationRevisionsCommand, serializeAws_json1_1ListApplicationRevisionsCommand, } from "../protocols/Aws_json1_1";
var ListApplicationRevisionsCommand = (function (_super) {
    __extends(ListApplicationRevisionsCommand, _super);
    function ListApplicationRevisionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListApplicationRevisionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "ListApplicationRevisionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListApplicationRevisionsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListApplicationRevisionsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListApplicationRevisionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListApplicationRevisionsCommand(input, context);
    };
    ListApplicationRevisionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListApplicationRevisionsCommand(output, context);
    };
    return ListApplicationRevisionsCommand;
}($Command));
export { ListApplicationRevisionsCommand };
