import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListDeploymentConfigsInput, ListDeploymentConfigsOutput } from "../models/models_0";
import { deserializeAws_json1_1ListDeploymentConfigsCommand, serializeAws_json1_1ListDeploymentConfigsCommand, } from "../protocols/Aws_json1_1";
var ListDeploymentConfigsCommand = (function (_super) {
    __extends(ListDeploymentConfigsCommand, _super);
    function ListDeploymentConfigsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListDeploymentConfigsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "ListDeploymentConfigsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListDeploymentConfigsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListDeploymentConfigsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListDeploymentConfigsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListDeploymentConfigsCommand(input, context);
    };
    ListDeploymentConfigsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListDeploymentConfigsCommand(output, context);
    };
    return ListDeploymentConfigsCommand;
}($Command));
export { ListDeploymentConfigsCommand };
