import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListDeploymentInstancesInput, ListDeploymentInstancesOutput } from "../models/models_0";
import { deserializeAws_json1_1ListDeploymentInstancesCommand, serializeAws_json1_1ListDeploymentInstancesCommand, } from "../protocols/Aws_json1_1";
var ListDeploymentInstancesCommand = (function (_super) {
    __extends(ListDeploymentInstancesCommand, _super);
    function ListDeploymentInstancesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListDeploymentInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "ListDeploymentInstancesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListDeploymentInstancesInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListDeploymentInstancesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListDeploymentInstancesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListDeploymentInstancesCommand(input, context);
    };
    ListDeploymentInstancesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListDeploymentInstancesCommand(output, context);
    };
    return ListDeploymentInstancesCommand;
}($Command));
export { ListDeploymentInstancesCommand };
