import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListDeploymentTargetsInput, ListDeploymentTargetsOutput } from "../models/models_0";
import { deserializeAws_json1_1ListDeploymentTargetsCommand, serializeAws_json1_1ListDeploymentTargetsCommand, } from "../protocols/Aws_json1_1";
var ListDeploymentTargetsCommand = (function (_super) {
    __extends(ListDeploymentTargetsCommand, _super);
    function ListDeploymentTargetsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListDeploymentTargetsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "ListDeploymentTargetsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListDeploymentTargetsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListDeploymentTargetsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListDeploymentTargetsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListDeploymentTargetsCommand(input, context);
    };
    ListDeploymentTargetsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListDeploymentTargetsCommand(output, context);
    };
    return ListDeploymentTargetsCommand;
}($Command));
export { ListDeploymentTargetsCommand };
