import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListDeploymentsInput, ListDeploymentsOutput } from "../models/models_0";
import { deserializeAws_json1_1ListDeploymentsCommand, serializeAws_json1_1ListDeploymentsCommand, } from "../protocols/Aws_json1_1";
var ListDeploymentsCommand = (function (_super) {
    __extends(ListDeploymentsCommand, _super);
    function ListDeploymentsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListDeploymentsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "ListDeploymentsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListDeploymentsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListDeploymentsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListDeploymentsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListDeploymentsCommand(input, context);
    };
    ListDeploymentsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListDeploymentsCommand(output, context);
    };
    return ListDeploymentsCommand;
}($Command));
export { ListDeploymentsCommand };
