import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListGitHubAccountTokenNamesInput, ListGitHubAccountTokenNamesOutput } from "../models/models_0";
import { deserializeAws_json1_1ListGitHubAccountTokenNamesCommand, serializeAws_json1_1ListGitHubAccountTokenNamesCommand, } from "../protocols/Aws_json1_1";
var ListGitHubAccountTokenNamesCommand = (function (_super) {
    __extends(ListGitHubAccountTokenNamesCommand, _super);
    function ListGitHubAccountTokenNamesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListGitHubAccountTokenNamesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "ListGitHubAccountTokenNamesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListGitHubAccountTokenNamesInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListGitHubAccountTokenNamesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListGitHubAccountTokenNamesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListGitHubAccountTokenNamesCommand(input, context);
    };
    ListGitHubAccountTokenNamesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListGitHubAccountTokenNamesCommand(output, context);
    };
    return ListGitHubAccountTokenNamesCommand;
}($Command));
export { ListGitHubAccountTokenNamesCommand };
