import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListOnPremisesInstancesInput, ListOnPremisesInstancesOutput } from "../models/models_0";
import { deserializeAws_json1_1ListOnPremisesInstancesCommand, serializeAws_json1_1ListOnPremisesInstancesCommand, } from "../protocols/Aws_json1_1";
var ListOnPremisesInstancesCommand = (function (_super) {
    __extends(ListOnPremisesInstancesCommand, _super);
    function ListOnPremisesInstancesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListOnPremisesInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "ListOnPremisesInstancesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListOnPremisesInstancesInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListOnPremisesInstancesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListOnPremisesInstancesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListOnPremisesInstancesCommand(input, context);
    };
    ListOnPremisesInstancesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListOnPremisesInstancesCommand(output, context);
    };
    return ListOnPremisesInstancesCommand;
}($Command));
export { ListOnPremisesInstancesCommand };
