import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { PutLifecycleEventHookExecutionStatusInput, PutLifecycleEventHookExecutionStatusOutput, } from "../models/models_0";
import { deserializeAws_json1_1PutLifecycleEventHookExecutionStatusCommand, serializeAws_json1_1PutLifecycleEventHookExecutionStatusCommand, } from "../protocols/Aws_json1_1";
var PutLifecycleEventHookExecutionStatusCommand = (function (_super) {
    __extends(PutLifecycleEventHookExecutionStatusCommand, _super);
    function PutLifecycleEventHookExecutionStatusCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    PutLifecycleEventHookExecutionStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "PutLifecycleEventHookExecutionStatusCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: PutLifecycleEventHookExecutionStatusInput.filterSensitiveLog,
            outputFilterSensitiveLog: PutLifecycleEventHookExecutionStatusOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    PutLifecycleEventHookExecutionStatusCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1PutLifecycleEventHookExecutionStatusCommand(input, context);
    };
    PutLifecycleEventHookExecutionStatusCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1PutLifecycleEventHookExecutionStatusCommand(output, context);
    };
    return PutLifecycleEventHookExecutionStatusCommand;
}($Command));
export { PutLifecycleEventHookExecutionStatusCommand };
