import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { RegisterApplicationRevisionInput } from "../models/models_0";
import { deserializeAws_json1_1RegisterApplicationRevisionCommand, serializeAws_json1_1RegisterApplicationRevisionCommand, } from "../protocols/Aws_json1_1";
var RegisterApplicationRevisionCommand = (function (_super) {
    __extends(RegisterApplicationRevisionCommand, _super);
    function RegisterApplicationRevisionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    RegisterApplicationRevisionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "RegisterApplicationRevisionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: RegisterApplicationRevisionInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    RegisterApplicationRevisionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1RegisterApplicationRevisionCommand(input, context);
    };
    RegisterApplicationRevisionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1RegisterApplicationRevisionCommand(output, context);
    };
    return RegisterApplicationRevisionCommand;
}($Command));
export { RegisterApplicationRevisionCommand };
