import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { RemoveTagsFromOnPremisesInstancesInput } from "../models/models_0";
import { deserializeAws_json1_1RemoveTagsFromOnPremisesInstancesCommand, serializeAws_json1_1RemoveTagsFromOnPremisesInstancesCommand, } from "../protocols/Aws_json1_1";
var RemoveTagsFromOnPremisesInstancesCommand = (function (_super) {
    __extends(RemoveTagsFromOnPremisesInstancesCommand, _super);
    function RemoveTagsFromOnPremisesInstancesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    RemoveTagsFromOnPremisesInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "RemoveTagsFromOnPremisesInstancesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: RemoveTagsFromOnPremisesInstancesInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    RemoveTagsFromOnPremisesInstancesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1RemoveTagsFromOnPremisesInstancesCommand(input, context);
    };
    RemoveTagsFromOnPremisesInstancesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1RemoveTagsFromOnPremisesInstancesCommand(output, context);
    };
    return RemoveTagsFromOnPremisesInstancesCommand;
}($Command));
export { RemoveTagsFromOnPremisesInstancesCommand };
