import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SkipWaitTimeForInstanceTerminationInput } from "../models/models_0";
import { deserializeAws_json1_1SkipWaitTimeForInstanceTerminationCommand, serializeAws_json1_1SkipWaitTimeForInstanceTerminationCommand, } from "../protocols/Aws_json1_1";
var SkipWaitTimeForInstanceTerminationCommand = (function (_super) {
    __extends(SkipWaitTimeForInstanceTerminationCommand, _super);
    function SkipWaitTimeForInstanceTerminationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SkipWaitTimeForInstanceTerminationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "SkipWaitTimeForInstanceTerminationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SkipWaitTimeForInstanceTerminationInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SkipWaitTimeForInstanceTerminationCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1SkipWaitTimeForInstanceTerminationCommand(input, context);
    };
    SkipWaitTimeForInstanceTerminationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1SkipWaitTimeForInstanceTerminationCommand(output, context);
    };
    return SkipWaitTimeForInstanceTerminationCommand;
}($Command));
export { SkipWaitTimeForInstanceTerminationCommand };
