import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StopDeploymentInput, StopDeploymentOutput } from "../models/models_0";
import { deserializeAws_json1_1StopDeploymentCommand, serializeAws_json1_1StopDeploymentCommand, } from "../protocols/Aws_json1_1";
var StopDeploymentCommand = (function (_super) {
    __extends(StopDeploymentCommand, _super);
    function StopDeploymentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StopDeploymentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "StopDeploymentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StopDeploymentInput.filterSensitiveLog,
            outputFilterSensitiveLog: StopDeploymentOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StopDeploymentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StopDeploymentCommand(input, context);
    };
    StopDeploymentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StopDeploymentCommand(output, context);
    };
    return StopDeploymentCommand;
}($Command));
export { StopDeploymentCommand };
