import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateDeploymentGroupInput, UpdateDeploymentGroupOutput } from "../models/models_0";
import { deserializeAws_json1_1UpdateDeploymentGroupCommand, serializeAws_json1_1UpdateDeploymentGroupCommand, } from "../protocols/Aws_json1_1";
var UpdateDeploymentGroupCommand = (function (_super) {
    __extends(UpdateDeploymentGroupCommand, _super);
    function UpdateDeploymentGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateDeploymentGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeDeployClient";
        var commandName = "UpdateDeploymentGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateDeploymentGroupInput.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateDeploymentGroupOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateDeploymentGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateDeploymentGroupCommand(input, context);
    };
    UpdateDeploymentGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateDeploymentGroupCommand(output, context);
    };
    return UpdateDeploymentGroupCommand;
}($Command));
export { UpdateDeploymentGroupCommand };
