import { __assign, __awaiter, __generator, __read } from "tslib";
import { HttpRequest as __HttpRequest } from "@aws-sdk/protocol-http";
import { decorateServiceException as __decorateServiceException, expectBoolean as __expectBoolean, expectInt32 as __expectInt32, expectLong as __expectLong, expectNonNull as __expectNonNull, expectNumber as __expectNumber, expectString as __expectString, limitedParseDouble as __limitedParseDouble, parseEpochTimestamp as __parseEpochTimestamp, } from "@aws-sdk/smithy-client";
import { CodeDeployServiceException as __BaseException } from "../models/CodeDeployServiceException";
import { AlarmsLimitExceededException, ApplicationAlreadyExistsException, ApplicationDoesNotExistException, ApplicationLimitExceededException, ApplicationNameRequiredException, ArnNotSupportedException, BatchLimitExceededException, BucketNameFilterRequiredException, DeploymentAlreadyCompletedException, DeploymentConfigAlreadyExistsException, DeploymentConfigDoesNotExistException, DeploymentConfigInUseException, DeploymentConfigLimitExceededException, DeploymentConfigNameRequiredException, DeploymentDoesNotExistException, DeploymentGroupAlreadyExistsException, DeploymentGroupDoesNotExistException, DeploymentGroupLimitExceededException, DeploymentGroupNameRequiredException, DeploymentIdRequiredException, DeploymentIsNotInReadyStateException, DeploymentLimitExceededException, DeploymentNotStartedException, DeploymentTargetDoesNotExistException, DeploymentTargetIdRequiredException, DeploymentTargetListSizeExceededException, DescriptionTooLongException, ECSServiceMappingLimitExceededException, GitHubAccountTokenDoesNotExistException, GitHubAccountTokenNameRequiredException, IamArnRequiredException, IamSessionArnAlreadyRegisteredException, IamUserArnAlreadyRegisteredException, IamUserArnRequiredException, InstanceDoesNotExistException, InstanceIdRequiredException, InstanceLimitExceededException, InstanceNameAlreadyRegisteredException, InstanceNameRequiredException, InstanceNotRegisteredException, InvalidAlarmConfigException, InvalidApplicationNameException, InvalidArnException, InvalidAutoRollbackConfigException, InvalidAutoScalingGroupException, InvalidBlueGreenDeploymentConfigurationException, InvalidBucketNameFilterException, InvalidComputePlatformException, InvalidDeployedStateFilterException, InvalidDeploymentConfigNameException, InvalidDeploymentGroupNameException, InvalidDeploymentIdException, InvalidDeploymentInstanceTypeException, InvalidDeploymentStatusException, InvalidDeploymentStyleException, InvalidDeploymentTargetIdException, InvalidDeploymentWaitTypeException, InvalidEC2TagCombinationException, InvalidEC2TagException, InvalidECSServiceException, InvalidExternalIdException, InvalidFileExistsBehaviorException, InvalidGitHubAccountTokenException, InvalidGitHubAccountTokenNameException, InvalidIamSessionArnException, InvalidIamUserArnException, InvalidIgnoreApplicationStopFailuresValueException, InvalidInputException, InvalidInstanceNameException, InvalidInstanceStatusException, InvalidInstanceTypeException, InvalidKeyPrefixFilterException, InvalidLifecycleEventHookExecutionIdException, InvalidLifecycleEventHookExecutionStatusException, InvalidLoadBalancerInfoException, InvalidMinimumHealthyHostValueException, InvalidNextTokenException, InvalidOnPremisesTagCombinationException, InvalidOperationException, InvalidRegistrationStatusException, InvalidRevisionException, InvalidRoleException, InvalidSortByException, InvalidSortOrderException, InvalidTagException, InvalidTagFilterException, InvalidTagsToAddException, InvalidTargetFilterNameException, InvalidTargetGroupPairException, InvalidTargetInstancesException, InvalidTimeRangeException, InvalidTrafficRoutingConfigurationException, InvalidTriggerConfigException, InvalidUpdateOutdatedInstancesOnlyValueException, LifecycleEventAlreadyCompletedException, LifecycleHookLimitExceededException, MultipleIamArnsProvidedException, OperationNotSupportedException, ResourceArnRequiredException, ResourceValidationException, RevisionDoesNotExistException, RevisionRequiredException, RoleRequiredException, TagLimitExceededException, TagRequiredException, TagSetListLimitExceededException, ThrottlingException, TriggerTargetsLimitExceededException, UnsupportedActionForDeploymentTypeException, } from "../models/models_0";
export var serializeAws_json1_1AddTagsToOnPremisesInstancesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.AddTagsToOnPremisesInstances",
        };
        body = JSON.stringify(serializeAws_json1_1AddTagsToOnPremisesInstancesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1BatchGetApplicationRevisionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.BatchGetApplicationRevisions",
        };
        body = JSON.stringify(serializeAws_json1_1BatchGetApplicationRevisionsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1BatchGetApplicationsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.BatchGetApplications",
        };
        body = JSON.stringify(serializeAws_json1_1BatchGetApplicationsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1BatchGetDeploymentGroupsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.BatchGetDeploymentGroups",
        };
        body = JSON.stringify(serializeAws_json1_1BatchGetDeploymentGroupsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1BatchGetDeploymentInstancesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.BatchGetDeploymentInstances",
        };
        body = JSON.stringify(serializeAws_json1_1BatchGetDeploymentInstancesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1BatchGetDeploymentsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.BatchGetDeployments",
        };
        body = JSON.stringify(serializeAws_json1_1BatchGetDeploymentsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1BatchGetDeploymentTargetsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.BatchGetDeploymentTargets",
        };
        body = JSON.stringify(serializeAws_json1_1BatchGetDeploymentTargetsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1BatchGetOnPremisesInstancesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.BatchGetOnPremisesInstances",
        };
        body = JSON.stringify(serializeAws_json1_1BatchGetOnPremisesInstancesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ContinueDeploymentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.ContinueDeployment",
        };
        body = JSON.stringify(serializeAws_json1_1ContinueDeploymentInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateApplicationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.CreateApplication",
        };
        body = JSON.stringify(serializeAws_json1_1CreateApplicationInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateDeploymentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.CreateDeployment",
        };
        body = JSON.stringify(serializeAws_json1_1CreateDeploymentInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateDeploymentConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.CreateDeploymentConfig",
        };
        body = JSON.stringify(serializeAws_json1_1CreateDeploymentConfigInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateDeploymentGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.CreateDeploymentGroup",
        };
        body = JSON.stringify(serializeAws_json1_1CreateDeploymentGroupInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteApplicationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.DeleteApplication",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteApplicationInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteDeploymentConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.DeleteDeploymentConfig",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteDeploymentConfigInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteDeploymentGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.DeleteDeploymentGroup",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteDeploymentGroupInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteGitHubAccountTokenCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.DeleteGitHubAccountToken",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteGitHubAccountTokenInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteResourcesByExternalIdCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.DeleteResourcesByExternalId",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteResourcesByExternalIdInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeregisterOnPremisesInstanceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.DeregisterOnPremisesInstance",
        };
        body = JSON.stringify(serializeAws_json1_1DeregisterOnPremisesInstanceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetApplicationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.GetApplication",
        };
        body = JSON.stringify(serializeAws_json1_1GetApplicationInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetApplicationRevisionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.GetApplicationRevision",
        };
        body = JSON.stringify(serializeAws_json1_1GetApplicationRevisionInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetDeploymentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.GetDeployment",
        };
        body = JSON.stringify(serializeAws_json1_1GetDeploymentInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetDeploymentConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.GetDeploymentConfig",
        };
        body = JSON.stringify(serializeAws_json1_1GetDeploymentConfigInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetDeploymentGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.GetDeploymentGroup",
        };
        body = JSON.stringify(serializeAws_json1_1GetDeploymentGroupInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetDeploymentInstanceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.GetDeploymentInstance",
        };
        body = JSON.stringify(serializeAws_json1_1GetDeploymentInstanceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetDeploymentTargetCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.GetDeploymentTarget",
        };
        body = JSON.stringify(serializeAws_json1_1GetDeploymentTargetInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetOnPremisesInstanceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.GetOnPremisesInstance",
        };
        body = JSON.stringify(serializeAws_json1_1GetOnPremisesInstanceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListApplicationRevisionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.ListApplicationRevisions",
        };
        body = JSON.stringify(serializeAws_json1_1ListApplicationRevisionsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListApplicationsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.ListApplications",
        };
        body = JSON.stringify(serializeAws_json1_1ListApplicationsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListDeploymentConfigsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.ListDeploymentConfigs",
        };
        body = JSON.stringify(serializeAws_json1_1ListDeploymentConfigsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListDeploymentGroupsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.ListDeploymentGroups",
        };
        body = JSON.stringify(serializeAws_json1_1ListDeploymentGroupsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListDeploymentInstancesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.ListDeploymentInstances",
        };
        body = JSON.stringify(serializeAws_json1_1ListDeploymentInstancesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListDeploymentsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.ListDeployments",
        };
        body = JSON.stringify(serializeAws_json1_1ListDeploymentsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListDeploymentTargetsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.ListDeploymentTargets",
        };
        body = JSON.stringify(serializeAws_json1_1ListDeploymentTargetsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListGitHubAccountTokenNamesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.ListGitHubAccountTokenNames",
        };
        body = JSON.stringify(serializeAws_json1_1ListGitHubAccountTokenNamesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListOnPremisesInstancesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.ListOnPremisesInstances",
        };
        body = JSON.stringify(serializeAws_json1_1ListOnPremisesInstancesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListTagsForResourceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.ListTagsForResource",
        };
        body = JSON.stringify(serializeAws_json1_1ListTagsForResourceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1PutLifecycleEventHookExecutionStatusCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.PutLifecycleEventHookExecutionStatus",
        };
        body = JSON.stringify(serializeAws_json1_1PutLifecycleEventHookExecutionStatusInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1RegisterApplicationRevisionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.RegisterApplicationRevision",
        };
        body = JSON.stringify(serializeAws_json1_1RegisterApplicationRevisionInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1RegisterOnPremisesInstanceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.RegisterOnPremisesInstance",
        };
        body = JSON.stringify(serializeAws_json1_1RegisterOnPremisesInstanceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1RemoveTagsFromOnPremisesInstancesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.RemoveTagsFromOnPremisesInstances",
        };
        body = JSON.stringify(serializeAws_json1_1RemoveTagsFromOnPremisesInstancesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1SkipWaitTimeForInstanceTerminationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.SkipWaitTimeForInstanceTermination",
        };
        body = JSON.stringify(serializeAws_json1_1SkipWaitTimeForInstanceTerminationInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopDeploymentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.StopDeployment",
        };
        body = JSON.stringify(serializeAws_json1_1StopDeploymentInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1TagResourceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.TagResource",
        };
        body = JSON.stringify(serializeAws_json1_1TagResourceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UntagResourceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.UntagResource",
        };
        body = JSON.stringify(serializeAws_json1_1UntagResourceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateApplicationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.UpdateApplication",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateApplicationInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateDeploymentGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodeDeploy_20141006.UpdateDeploymentGroup",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateDeploymentGroupInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var deserializeAws_json1_1AddTagsToOnPremisesInstancesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1AddTagsToOnPremisesInstancesCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1AddTagsToOnPremisesInstancesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InstanceLimitExceededException": return [3, 2];
                    case "com.amazonaws.codedeploy#InstanceLimitExceededException": return [3, 2];
                    case "InstanceNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#InstanceNameRequiredException": return [3, 4];
                    case "InstanceNotRegisteredException": return [3, 6];
                    case "com.amazonaws.codedeploy#InstanceNotRegisteredException": return [3, 6];
                    case "InvalidInstanceNameException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidInstanceNameException": return [3, 8];
                    case "InvalidTagException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidTagException": return [3, 10];
                    case "TagLimitExceededException": return [3, 12];
                    case "com.amazonaws.codedeploy#TagLimitExceededException": return [3, 12];
                    case "TagRequiredException": return [3, 14];
                    case "com.amazonaws.codedeploy#TagRequiredException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1InstanceLimitExceededExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InstanceNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InstanceNotRegisteredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidInstanceNameExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidTagExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1TagLimitExceededExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1TagRequiredExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1BatchGetApplicationRevisionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1BatchGetApplicationRevisionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1BatchGetApplicationRevisionsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1BatchGetApplicationRevisionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ApplicationNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 4];
                    case "BatchLimitExceededException": return [3, 6];
                    case "com.amazonaws.codedeploy#BatchLimitExceededException": return [3, 6];
                    case "InvalidApplicationNameException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 8];
                    case "InvalidRevisionException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidRevisionException": return [3, 10];
                    case "RevisionRequiredException": return [3, 12];
                    case "com.amazonaws.codedeploy#RevisionRequiredException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1BatchLimitExceededExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidRevisionExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1RevisionRequiredExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1BatchGetApplicationsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1BatchGetApplicationsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1BatchGetApplicationsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1BatchGetApplicationsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ApplicationNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 4];
                    case "BatchLimitExceededException": return [3, 6];
                    case "com.amazonaws.codedeploy#BatchLimitExceededException": return [3, 6];
                    case "InvalidApplicationNameException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1BatchLimitExceededExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1BatchGetDeploymentGroupsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1BatchGetDeploymentGroupsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1BatchGetDeploymentGroupsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1BatchGetDeploymentGroupsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ApplicationNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 4];
                    case "BatchLimitExceededException": return [3, 6];
                    case "com.amazonaws.codedeploy#BatchLimitExceededException": return [3, 6];
                    case "DeploymentConfigDoesNotExistException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentConfigDoesNotExistException": return [3, 8];
                    case "DeploymentGroupNameRequiredException": return [3, 10];
                    case "com.amazonaws.codedeploy#DeploymentGroupNameRequiredException": return [3, 10];
                    case "InvalidApplicationNameException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 12];
                    case "InvalidDeploymentGroupNameException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidDeploymentGroupNameException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1BatchLimitExceededExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentConfigDoesNotExistExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1DeploymentGroupNameRequiredExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidDeploymentGroupNameExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1BatchGetDeploymentInstancesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1BatchGetDeploymentInstancesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1BatchGetDeploymentInstancesOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1BatchGetDeploymentInstancesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BatchLimitExceededException": return [3, 2];
                    case "com.amazonaws.codedeploy#BatchLimitExceededException": return [3, 2];
                    case "DeploymentDoesNotExistException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentDoesNotExistException": return [3, 4];
                    case "DeploymentIdRequiredException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 6];
                    case "InstanceIdRequiredException": return [3, 8];
                    case "com.amazonaws.codedeploy#InstanceIdRequiredException": return [3, 8];
                    case "InvalidComputePlatformException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidComputePlatformException": return [3, 10];
                    case "InvalidDeploymentIdException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 12];
                    case "InvalidInstanceNameException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidInstanceNameException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1BatchLimitExceededExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InstanceIdRequiredExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidComputePlatformExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidInstanceNameExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1BatchGetDeploymentsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1BatchGetDeploymentsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1BatchGetDeploymentsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1BatchGetDeploymentsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BatchLimitExceededException": return [3, 2];
                    case "com.amazonaws.codedeploy#BatchLimitExceededException": return [3, 2];
                    case "DeploymentIdRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 4];
                    case "InvalidDeploymentIdException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1BatchLimitExceededExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1BatchGetDeploymentTargetsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1BatchGetDeploymentTargetsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1BatchGetDeploymentTargetsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1BatchGetDeploymentTargetsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentDoesNotExistException": return [3, 2];
                    case "DeploymentIdRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 4];
                    case "DeploymentNotStartedException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentNotStartedException": return [3, 6];
                    case "DeploymentTargetDoesNotExistException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentTargetDoesNotExistException": return [3, 8];
                    case "DeploymentTargetIdRequiredException": return [3, 10];
                    case "com.amazonaws.codedeploy#DeploymentTargetIdRequiredException": return [3, 10];
                    case "DeploymentTargetListSizeExceededException": return [3, 12];
                    case "com.amazonaws.codedeploy#DeploymentTargetListSizeExceededException": return [3, 12];
                    case "InstanceDoesNotExistException": return [3, 14];
                    case "com.amazonaws.codedeploy#InstanceDoesNotExistException": return [3, 14];
                    case "InvalidDeploymentIdException": return [3, 16];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 16];
                    case "InvalidDeploymentTargetIdException": return [3, 18];
                    case "com.amazonaws.codedeploy#InvalidDeploymentTargetIdException": return [3, 18];
                }
                return [3, 20];
            case 2: return [4, deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentNotStartedExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentTargetDoesNotExistExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1DeploymentTargetIdRequiredExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1DeploymentTargetListSizeExceededExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InstanceDoesNotExistExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1InvalidDeploymentTargetIdExceptionResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1BatchGetOnPremisesInstancesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1BatchGetOnPremisesInstancesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1BatchGetOnPremisesInstancesOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1BatchGetOnPremisesInstancesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BatchLimitExceededException": return [3, 2];
                    case "com.amazonaws.codedeploy#BatchLimitExceededException": return [3, 2];
                    case "InstanceNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#InstanceNameRequiredException": return [3, 4];
                    case "InvalidInstanceNameException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidInstanceNameException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1BatchLimitExceededExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InstanceNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidInstanceNameExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ContinueDeploymentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ContinueDeploymentCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ContinueDeploymentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentAlreadyCompletedException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentAlreadyCompletedException": return [3, 2];
                    case "DeploymentDoesNotExistException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentDoesNotExistException": return [3, 4];
                    case "DeploymentIdRequiredException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 6];
                    case "DeploymentIsNotInReadyStateException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentIsNotInReadyStateException": return [3, 8];
                    case "InvalidDeploymentIdException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 10];
                    case "InvalidDeploymentStatusException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidDeploymentStatusException": return [3, 12];
                    case "InvalidDeploymentWaitTypeException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidDeploymentWaitTypeException": return [3, 14];
                    case "UnsupportedActionForDeploymentTypeException": return [3, 16];
                    case "com.amazonaws.codedeploy#UnsupportedActionForDeploymentTypeException": return [3, 16];
                }
                return [3, 18];
            case 2: return [4, deserializeAws_json1_1DeploymentAlreadyCompletedExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentIsNotInReadyStateExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidDeploymentStatusExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidDeploymentWaitTypeExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1UnsupportedActionForDeploymentTypeExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateApplicationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateApplicationCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateApplicationOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateApplicationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationAlreadyExistsException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationAlreadyExistsException": return [3, 2];
                    case "ApplicationLimitExceededException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationLimitExceededException": return [3, 4];
                    case "ApplicationNameRequiredException": return [3, 6];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 6];
                    case "InvalidApplicationNameException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 8];
                    case "InvalidComputePlatformException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidComputePlatformException": return [3, 10];
                    case "InvalidTagsToAddException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidTagsToAddException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1ApplicationAlreadyExistsExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationLimitExceededExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidComputePlatformExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidTagsToAddExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateDeploymentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateDeploymentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateDeploymentOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateDeploymentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ApplicationNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 4];
                    case "DeploymentConfigDoesNotExistException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentConfigDoesNotExistException": return [3, 6];
                    case "DeploymentGroupDoesNotExistException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentGroupDoesNotExistException": return [3, 8];
                    case "DeploymentGroupNameRequiredException": return [3, 10];
                    case "com.amazonaws.codedeploy#DeploymentGroupNameRequiredException": return [3, 10];
                    case "DeploymentLimitExceededException": return [3, 12];
                    case "com.amazonaws.codedeploy#DeploymentLimitExceededException": return [3, 12];
                    case "DescriptionTooLongException": return [3, 14];
                    case "com.amazonaws.codedeploy#DescriptionTooLongException": return [3, 14];
                    case "InvalidApplicationNameException": return [3, 16];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 16];
                    case "InvalidAutoRollbackConfigException": return [3, 18];
                    case "com.amazonaws.codedeploy#InvalidAutoRollbackConfigException": return [3, 18];
                    case "InvalidAutoScalingGroupException": return [3, 20];
                    case "com.amazonaws.codedeploy#InvalidAutoScalingGroupException": return [3, 20];
                    case "InvalidDeploymentConfigNameException": return [3, 22];
                    case "com.amazonaws.codedeploy#InvalidDeploymentConfigNameException": return [3, 22];
                    case "InvalidDeploymentGroupNameException": return [3, 24];
                    case "com.amazonaws.codedeploy#InvalidDeploymentGroupNameException": return [3, 24];
                    case "InvalidFileExistsBehaviorException": return [3, 26];
                    case "com.amazonaws.codedeploy#InvalidFileExistsBehaviorException": return [3, 26];
                    case "InvalidGitHubAccountTokenException": return [3, 28];
                    case "com.amazonaws.codedeploy#InvalidGitHubAccountTokenException": return [3, 28];
                    case "InvalidIgnoreApplicationStopFailuresValueException": return [3, 30];
                    case "com.amazonaws.codedeploy#InvalidIgnoreApplicationStopFailuresValueException": return [3, 30];
                    case "InvalidLoadBalancerInfoException": return [3, 32];
                    case "com.amazonaws.codedeploy#InvalidLoadBalancerInfoException": return [3, 32];
                    case "InvalidRevisionException": return [3, 34];
                    case "com.amazonaws.codedeploy#InvalidRevisionException": return [3, 34];
                    case "InvalidRoleException": return [3, 36];
                    case "com.amazonaws.codedeploy#InvalidRoleException": return [3, 36];
                    case "InvalidTargetInstancesException": return [3, 38];
                    case "com.amazonaws.codedeploy#InvalidTargetInstancesException": return [3, 38];
                    case "InvalidTrafficRoutingConfigurationException": return [3, 40];
                    case "com.amazonaws.codedeploy#InvalidTrafficRoutingConfigurationException": return [3, 40];
                    case "InvalidUpdateOutdatedInstancesOnlyValueException": return [3, 42];
                    case "com.amazonaws.codedeploy#InvalidUpdateOutdatedInstancesOnlyValueException": return [3, 42];
                    case "RevisionDoesNotExistException": return [3, 44];
                    case "com.amazonaws.codedeploy#RevisionDoesNotExistException": return [3, 44];
                    case "RevisionRequiredException": return [3, 46];
                    case "com.amazonaws.codedeploy#RevisionRequiredException": return [3, 46];
                    case "ThrottlingException": return [3, 48];
                    case "com.amazonaws.codedeploy#ThrottlingException": return [3, 48];
                }
                return [3, 50];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentConfigDoesNotExistExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentGroupDoesNotExistExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1DeploymentGroupNameRequiredExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1DeploymentLimitExceededExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1DescriptionTooLongExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1InvalidAutoRollbackConfigExceptionResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1InvalidAutoScalingGroupExceptionResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22: return [4, deserializeAws_json1_1InvalidDeploymentConfigNameExceptionResponse(parsedOutput, context)];
            case 23: throw _d.sent();
            case 24: return [4, deserializeAws_json1_1InvalidDeploymentGroupNameExceptionResponse(parsedOutput, context)];
            case 25: throw _d.sent();
            case 26: return [4, deserializeAws_json1_1InvalidFileExistsBehaviorExceptionResponse(parsedOutput, context)];
            case 27: throw _d.sent();
            case 28: return [4, deserializeAws_json1_1InvalidGitHubAccountTokenExceptionResponse(parsedOutput, context)];
            case 29: throw _d.sent();
            case 30: return [4, deserializeAws_json1_1InvalidIgnoreApplicationStopFailuresValueExceptionResponse(parsedOutput, context)];
            case 31: throw _d.sent();
            case 32: return [4, deserializeAws_json1_1InvalidLoadBalancerInfoExceptionResponse(parsedOutput, context)];
            case 33: throw _d.sent();
            case 34: return [4, deserializeAws_json1_1InvalidRevisionExceptionResponse(parsedOutput, context)];
            case 35: throw _d.sent();
            case 36: return [4, deserializeAws_json1_1InvalidRoleExceptionResponse(parsedOutput, context)];
            case 37: throw _d.sent();
            case 38: return [4, deserializeAws_json1_1InvalidTargetInstancesExceptionResponse(parsedOutput, context)];
            case 39: throw _d.sent();
            case 40: return [4, deserializeAws_json1_1InvalidTrafficRoutingConfigurationExceptionResponse(parsedOutput, context)];
            case 41: throw _d.sent();
            case 42: return [4, deserializeAws_json1_1InvalidUpdateOutdatedInstancesOnlyValueExceptionResponse(parsedOutput, context)];
            case 43: throw _d.sent();
            case 44: return [4, deserializeAws_json1_1RevisionDoesNotExistExceptionResponse(parsedOutput, context)];
            case 45: throw _d.sent();
            case 46: return [4, deserializeAws_json1_1RevisionRequiredExceptionResponse(parsedOutput, context)];
            case 47: throw _d.sent();
            case 48: return [4, deserializeAws_json1_1ThrottlingExceptionResponse(parsedOutput, context)];
            case 49: throw _d.sent();
            case 50:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateDeploymentConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateDeploymentConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateDeploymentConfigOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateDeploymentConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentConfigAlreadyExistsException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentConfigAlreadyExistsException": return [3, 2];
                    case "DeploymentConfigLimitExceededException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentConfigLimitExceededException": return [3, 4];
                    case "DeploymentConfigNameRequiredException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentConfigNameRequiredException": return [3, 6];
                    case "InvalidComputePlatformException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidComputePlatformException": return [3, 8];
                    case "InvalidDeploymentConfigNameException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidDeploymentConfigNameException": return [3, 10];
                    case "InvalidMinimumHealthyHostValueException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidMinimumHealthyHostValueException": return [3, 12];
                    case "InvalidTrafficRoutingConfigurationException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidTrafficRoutingConfigurationException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1DeploymentConfigAlreadyExistsExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentConfigLimitExceededExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentConfigNameRequiredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidComputePlatformExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidDeploymentConfigNameExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidMinimumHealthyHostValueExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidTrafficRoutingConfigurationExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateDeploymentGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateDeploymentGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateDeploymentGroupOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateDeploymentGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "AlarmsLimitExceededException": return [3, 2];
                    case "com.amazonaws.codedeploy#AlarmsLimitExceededException": return [3, 2];
                    case "ApplicationDoesNotExistException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 4];
                    case "ApplicationNameRequiredException": return [3, 6];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 6];
                    case "DeploymentConfigDoesNotExistException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentConfigDoesNotExistException": return [3, 8];
                    case "DeploymentGroupAlreadyExistsException": return [3, 10];
                    case "com.amazonaws.codedeploy#DeploymentGroupAlreadyExistsException": return [3, 10];
                    case "DeploymentGroupLimitExceededException": return [3, 12];
                    case "com.amazonaws.codedeploy#DeploymentGroupLimitExceededException": return [3, 12];
                    case "DeploymentGroupNameRequiredException": return [3, 14];
                    case "com.amazonaws.codedeploy#DeploymentGroupNameRequiredException": return [3, 14];
                    case "ECSServiceMappingLimitExceededException": return [3, 16];
                    case "com.amazonaws.codedeploy#ECSServiceMappingLimitExceededException": return [3, 16];
                    case "InvalidAlarmConfigException": return [3, 18];
                    case "com.amazonaws.codedeploy#InvalidAlarmConfigException": return [3, 18];
                    case "InvalidApplicationNameException": return [3, 20];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 20];
                    case "InvalidAutoRollbackConfigException": return [3, 22];
                    case "com.amazonaws.codedeploy#InvalidAutoRollbackConfigException": return [3, 22];
                    case "InvalidAutoScalingGroupException": return [3, 24];
                    case "com.amazonaws.codedeploy#InvalidAutoScalingGroupException": return [3, 24];
                    case "InvalidBlueGreenDeploymentConfigurationException": return [3, 26];
                    case "com.amazonaws.codedeploy#InvalidBlueGreenDeploymentConfigurationException": return [3, 26];
                    case "InvalidDeploymentConfigNameException": return [3, 28];
                    case "com.amazonaws.codedeploy#InvalidDeploymentConfigNameException": return [3, 28];
                    case "InvalidDeploymentGroupNameException": return [3, 30];
                    case "com.amazonaws.codedeploy#InvalidDeploymentGroupNameException": return [3, 30];
                    case "InvalidDeploymentStyleException": return [3, 32];
                    case "com.amazonaws.codedeploy#InvalidDeploymentStyleException": return [3, 32];
                    case "InvalidEC2TagCombinationException": return [3, 34];
                    case "com.amazonaws.codedeploy#InvalidEC2TagCombinationException": return [3, 34];
                    case "InvalidEC2TagException": return [3, 36];
                    case "com.amazonaws.codedeploy#InvalidEC2TagException": return [3, 36];
                    case "InvalidECSServiceException": return [3, 38];
                    case "com.amazonaws.codedeploy#InvalidECSServiceException": return [3, 38];
                    case "InvalidInputException": return [3, 40];
                    case "com.amazonaws.codedeploy#InvalidInputException": return [3, 40];
                    case "InvalidLoadBalancerInfoException": return [3, 42];
                    case "com.amazonaws.codedeploy#InvalidLoadBalancerInfoException": return [3, 42];
                    case "InvalidOnPremisesTagCombinationException": return [3, 44];
                    case "com.amazonaws.codedeploy#InvalidOnPremisesTagCombinationException": return [3, 44];
                    case "InvalidRoleException": return [3, 46];
                    case "com.amazonaws.codedeploy#InvalidRoleException": return [3, 46];
                    case "InvalidTagException": return [3, 48];
                    case "com.amazonaws.codedeploy#InvalidTagException": return [3, 48];
                    case "InvalidTagsToAddException": return [3, 50];
                    case "com.amazonaws.codedeploy#InvalidTagsToAddException": return [3, 50];
                    case "InvalidTargetGroupPairException": return [3, 52];
                    case "com.amazonaws.codedeploy#InvalidTargetGroupPairException": return [3, 52];
                    case "InvalidTrafficRoutingConfigurationException": return [3, 54];
                    case "com.amazonaws.codedeploy#InvalidTrafficRoutingConfigurationException": return [3, 54];
                    case "InvalidTriggerConfigException": return [3, 56];
                    case "com.amazonaws.codedeploy#InvalidTriggerConfigException": return [3, 56];
                    case "LifecycleHookLimitExceededException": return [3, 58];
                    case "com.amazonaws.codedeploy#LifecycleHookLimitExceededException": return [3, 58];
                    case "RoleRequiredException": return [3, 60];
                    case "com.amazonaws.codedeploy#RoleRequiredException": return [3, 60];
                    case "TagSetListLimitExceededException": return [3, 62];
                    case "com.amazonaws.codedeploy#TagSetListLimitExceededException": return [3, 62];
                    case "ThrottlingException": return [3, 64];
                    case "com.amazonaws.codedeploy#ThrottlingException": return [3, 64];
                    case "TriggerTargetsLimitExceededException": return [3, 66];
                    case "com.amazonaws.codedeploy#TriggerTargetsLimitExceededException": return [3, 66];
                }
                return [3, 68];
            case 2: return [4, deserializeAws_json1_1AlarmsLimitExceededExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentConfigDoesNotExistExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1DeploymentGroupAlreadyExistsExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1DeploymentGroupLimitExceededExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1DeploymentGroupNameRequiredExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1ECSServiceMappingLimitExceededExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1InvalidAlarmConfigExceptionResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22: return [4, deserializeAws_json1_1InvalidAutoRollbackConfigExceptionResponse(parsedOutput, context)];
            case 23: throw _d.sent();
            case 24: return [4, deserializeAws_json1_1InvalidAutoScalingGroupExceptionResponse(parsedOutput, context)];
            case 25: throw _d.sent();
            case 26: return [4, deserializeAws_json1_1InvalidBlueGreenDeploymentConfigurationExceptionResponse(parsedOutput, context)];
            case 27: throw _d.sent();
            case 28: return [4, deserializeAws_json1_1InvalidDeploymentConfigNameExceptionResponse(parsedOutput, context)];
            case 29: throw _d.sent();
            case 30: return [4, deserializeAws_json1_1InvalidDeploymentGroupNameExceptionResponse(parsedOutput, context)];
            case 31: throw _d.sent();
            case 32: return [4, deserializeAws_json1_1InvalidDeploymentStyleExceptionResponse(parsedOutput, context)];
            case 33: throw _d.sent();
            case 34: return [4, deserializeAws_json1_1InvalidEC2TagCombinationExceptionResponse(parsedOutput, context)];
            case 35: throw _d.sent();
            case 36: return [4, deserializeAws_json1_1InvalidEC2TagExceptionResponse(parsedOutput, context)];
            case 37: throw _d.sent();
            case 38: return [4, deserializeAws_json1_1InvalidECSServiceExceptionResponse(parsedOutput, context)];
            case 39: throw _d.sent();
            case 40: return [4, deserializeAws_json1_1InvalidInputExceptionResponse(parsedOutput, context)];
            case 41: throw _d.sent();
            case 42: return [4, deserializeAws_json1_1InvalidLoadBalancerInfoExceptionResponse(parsedOutput, context)];
            case 43: throw _d.sent();
            case 44: return [4, deserializeAws_json1_1InvalidOnPremisesTagCombinationExceptionResponse(parsedOutput, context)];
            case 45: throw _d.sent();
            case 46: return [4, deserializeAws_json1_1InvalidRoleExceptionResponse(parsedOutput, context)];
            case 47: throw _d.sent();
            case 48: return [4, deserializeAws_json1_1InvalidTagExceptionResponse(parsedOutput, context)];
            case 49: throw _d.sent();
            case 50: return [4, deserializeAws_json1_1InvalidTagsToAddExceptionResponse(parsedOutput, context)];
            case 51: throw _d.sent();
            case 52: return [4, deserializeAws_json1_1InvalidTargetGroupPairExceptionResponse(parsedOutput, context)];
            case 53: throw _d.sent();
            case 54: return [4, deserializeAws_json1_1InvalidTrafficRoutingConfigurationExceptionResponse(parsedOutput, context)];
            case 55: throw _d.sent();
            case 56: return [4, deserializeAws_json1_1InvalidTriggerConfigExceptionResponse(parsedOutput, context)];
            case 57: throw _d.sent();
            case 58: return [4, deserializeAws_json1_1LifecycleHookLimitExceededExceptionResponse(parsedOutput, context)];
            case 59: throw _d.sent();
            case 60: return [4, deserializeAws_json1_1RoleRequiredExceptionResponse(parsedOutput, context)];
            case 61: throw _d.sent();
            case 62: return [4, deserializeAws_json1_1TagSetListLimitExceededExceptionResponse(parsedOutput, context)];
            case 63: throw _d.sent();
            case 64: return [4, deserializeAws_json1_1ThrottlingExceptionResponse(parsedOutput, context)];
            case 65: throw _d.sent();
            case 66: return [4, deserializeAws_json1_1TriggerTargetsLimitExceededExceptionResponse(parsedOutput, context)];
            case 67: throw _d.sent();
            case 68:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteApplicationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteApplicationCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteApplicationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationNameRequiredException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 2];
                    case "InvalidApplicationNameException": return [3, 4];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 4];
                    case "InvalidRoleException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidRoleException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidRoleExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteDeploymentConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteDeploymentConfigCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteDeploymentConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentConfigInUseException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentConfigInUseException": return [3, 2];
                    case "DeploymentConfigNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentConfigNameRequiredException": return [3, 4];
                    case "InvalidDeploymentConfigNameException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidDeploymentConfigNameException": return [3, 6];
                    case "InvalidOperationException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidOperationException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1DeploymentConfigInUseExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentConfigNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidDeploymentConfigNameExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidOperationExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteDeploymentGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteDeploymentGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteDeploymentGroupOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteDeploymentGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationNameRequiredException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 2];
                    case "DeploymentGroupNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentGroupNameRequiredException": return [3, 4];
                    case "InvalidApplicationNameException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 6];
                    case "InvalidDeploymentGroupNameException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidDeploymentGroupNameException": return [3, 8];
                    case "InvalidRoleException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidRoleException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentGroupNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidDeploymentGroupNameExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidRoleExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteGitHubAccountTokenCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteGitHubAccountTokenCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteGitHubAccountTokenOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteGitHubAccountTokenCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "GitHubAccountTokenDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#GitHubAccountTokenDoesNotExistException": return [3, 2];
                    case "GitHubAccountTokenNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#GitHubAccountTokenNameRequiredException": return [3, 4];
                    case "InvalidGitHubAccountTokenNameException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidGitHubAccountTokenNameException": return [3, 6];
                    case "OperationNotSupportedException": return [3, 8];
                    case "com.amazonaws.codedeploy#OperationNotSupportedException": return [3, 8];
                    case "ResourceValidationException": return [3, 10];
                    case "com.amazonaws.codedeploy#ResourceValidationException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_json1_1GitHubAccountTokenDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1GitHubAccountTokenNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidGitHubAccountTokenNameExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1OperationNotSupportedExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ResourceValidationExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteResourcesByExternalIdCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteResourcesByExternalIdCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteResourcesByExternalIdOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteResourcesByExternalIdCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeregisterOnPremisesInstanceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeregisterOnPremisesInstanceCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeregisterOnPremisesInstanceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InstanceNameRequiredException": return [3, 2];
                    case "com.amazonaws.codedeploy#InstanceNameRequiredException": return [3, 2];
                    case "InvalidInstanceNameException": return [3, 4];
                    case "com.amazonaws.codedeploy#InvalidInstanceNameException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1InstanceNameRequiredExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidInstanceNameExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1GetApplicationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetApplicationCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetApplicationOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetApplicationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ApplicationNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 4];
                    case "InvalidApplicationNameException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1GetApplicationRevisionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetApplicationRevisionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetApplicationRevisionOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetApplicationRevisionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ApplicationNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 4];
                    case "InvalidApplicationNameException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 6];
                    case "InvalidRevisionException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidRevisionException": return [3, 8];
                    case "RevisionDoesNotExistException": return [3, 10];
                    case "com.amazonaws.codedeploy#RevisionDoesNotExistException": return [3, 10];
                    case "RevisionRequiredException": return [3, 12];
                    case "com.amazonaws.codedeploy#RevisionRequiredException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidRevisionExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1RevisionDoesNotExistExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1RevisionRequiredExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1GetDeploymentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetDeploymentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetDeploymentOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetDeploymentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentDoesNotExistException": return [3, 2];
                    case "DeploymentIdRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 4];
                    case "InvalidDeploymentIdException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1GetDeploymentConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetDeploymentConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetDeploymentConfigOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetDeploymentConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentConfigDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentConfigDoesNotExistException": return [3, 2];
                    case "DeploymentConfigNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentConfigNameRequiredException": return [3, 4];
                    case "InvalidComputePlatformException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidComputePlatformException": return [3, 6];
                    case "InvalidDeploymentConfigNameException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidDeploymentConfigNameException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1DeploymentConfigDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentConfigNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidComputePlatformExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidDeploymentConfigNameExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1GetDeploymentGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetDeploymentGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetDeploymentGroupOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetDeploymentGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ApplicationNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 4];
                    case "DeploymentConfigDoesNotExistException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentConfigDoesNotExistException": return [3, 6];
                    case "DeploymentGroupDoesNotExistException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentGroupDoesNotExistException": return [3, 8];
                    case "DeploymentGroupNameRequiredException": return [3, 10];
                    case "com.amazonaws.codedeploy#DeploymentGroupNameRequiredException": return [3, 10];
                    case "InvalidApplicationNameException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 12];
                    case "InvalidDeploymentGroupNameException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidDeploymentGroupNameException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentConfigDoesNotExistExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentGroupDoesNotExistExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1DeploymentGroupNameRequiredExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidDeploymentGroupNameExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1GetDeploymentInstanceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetDeploymentInstanceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetDeploymentInstanceOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetDeploymentInstanceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentDoesNotExistException": return [3, 2];
                    case "DeploymentIdRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 4];
                    case "InstanceDoesNotExistException": return [3, 6];
                    case "com.amazonaws.codedeploy#InstanceDoesNotExistException": return [3, 6];
                    case "InstanceIdRequiredException": return [3, 8];
                    case "com.amazonaws.codedeploy#InstanceIdRequiredException": return [3, 8];
                    case "InvalidComputePlatformException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidComputePlatformException": return [3, 10];
                    case "InvalidDeploymentIdException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 12];
                    case "InvalidInstanceNameException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidInstanceNameException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InstanceDoesNotExistExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InstanceIdRequiredExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidComputePlatformExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidInstanceNameExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1GetDeploymentTargetCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetDeploymentTargetCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetDeploymentTargetOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetDeploymentTargetCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentDoesNotExistException": return [3, 2];
                    case "DeploymentIdRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 4];
                    case "DeploymentNotStartedException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentNotStartedException": return [3, 6];
                    case "DeploymentTargetDoesNotExistException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentTargetDoesNotExistException": return [3, 8];
                    case "DeploymentTargetIdRequiredException": return [3, 10];
                    case "com.amazonaws.codedeploy#DeploymentTargetIdRequiredException": return [3, 10];
                    case "InvalidDeploymentIdException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 12];
                    case "InvalidDeploymentTargetIdException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidDeploymentTargetIdException": return [3, 14];
                    case "InvalidInstanceNameException": return [3, 16];
                    case "com.amazonaws.codedeploy#InvalidInstanceNameException": return [3, 16];
                }
                return [3, 18];
            case 2: return [4, deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentNotStartedExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentTargetDoesNotExistExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1DeploymentTargetIdRequiredExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidDeploymentTargetIdExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1InvalidInstanceNameExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1GetOnPremisesInstanceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetOnPremisesInstanceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetOnPremisesInstanceOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetOnPremisesInstanceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InstanceNameRequiredException": return [3, 2];
                    case "com.amazonaws.codedeploy#InstanceNameRequiredException": return [3, 2];
                    case "InstanceNotRegisteredException": return [3, 4];
                    case "com.amazonaws.codedeploy#InstanceNotRegisteredException": return [3, 4];
                    case "InvalidInstanceNameException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidInstanceNameException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1InstanceNameRequiredExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InstanceNotRegisteredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidInstanceNameExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListApplicationRevisionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListApplicationRevisionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListApplicationRevisionsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListApplicationRevisionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ApplicationNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 4];
                    case "BucketNameFilterRequiredException": return [3, 6];
                    case "com.amazonaws.codedeploy#BucketNameFilterRequiredException": return [3, 6];
                    case "InvalidApplicationNameException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 8];
                    case "InvalidBucketNameFilterException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidBucketNameFilterException": return [3, 10];
                    case "InvalidDeployedStateFilterException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidDeployedStateFilterException": return [3, 12];
                    case "InvalidKeyPrefixFilterException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidKeyPrefixFilterException": return [3, 14];
                    case "InvalidNextTokenException": return [3, 16];
                    case "com.amazonaws.codedeploy#InvalidNextTokenException": return [3, 16];
                    case "InvalidSortByException": return [3, 18];
                    case "com.amazonaws.codedeploy#InvalidSortByException": return [3, 18];
                    case "InvalidSortOrderException": return [3, 20];
                    case "com.amazonaws.codedeploy#InvalidSortOrderException": return [3, 20];
                }
                return [3, 22];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1BucketNameFilterRequiredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidBucketNameFilterExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidDeployedStateFilterExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidKeyPrefixFilterExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1InvalidSortByExceptionResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1InvalidSortOrderExceptionResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListApplicationsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListApplicationsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListApplicationsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListApplicationsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidNextTokenException": return [3, 2];
                    case "com.amazonaws.codedeploy#InvalidNextTokenException": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListDeploymentConfigsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListDeploymentConfigsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListDeploymentConfigsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListDeploymentConfigsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidNextTokenException": return [3, 2];
                    case "com.amazonaws.codedeploy#InvalidNextTokenException": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListDeploymentGroupsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListDeploymentGroupsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListDeploymentGroupsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListDeploymentGroupsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ApplicationNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 4];
                    case "InvalidApplicationNameException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 6];
                    case "InvalidNextTokenException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidNextTokenException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListDeploymentInstancesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListDeploymentInstancesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListDeploymentInstancesOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListDeploymentInstancesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentDoesNotExistException": return [3, 2];
                    case "DeploymentIdRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 4];
                    case "DeploymentNotStartedException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentNotStartedException": return [3, 6];
                    case "InvalidComputePlatformException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidComputePlatformException": return [3, 8];
                    case "InvalidDeploymentIdException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 10];
                    case "InvalidDeploymentInstanceTypeException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidDeploymentInstanceTypeException": return [3, 12];
                    case "InvalidInstanceStatusException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidInstanceStatusException": return [3, 14];
                    case "InvalidInstanceTypeException": return [3, 16];
                    case "com.amazonaws.codedeploy#InvalidInstanceTypeException": return [3, 16];
                    case "InvalidNextTokenException": return [3, 18];
                    case "com.amazonaws.codedeploy#InvalidNextTokenException": return [3, 18];
                    case "InvalidTargetFilterNameException": return [3, 20];
                    case "com.amazonaws.codedeploy#InvalidTargetFilterNameException": return [3, 20];
                }
                return [3, 22];
            case 2: return [4, deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentNotStartedExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidComputePlatformExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidDeploymentInstanceTypeExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidInstanceStatusExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1InvalidInstanceTypeExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1InvalidTargetFilterNameExceptionResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListDeploymentsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListDeploymentsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListDeploymentsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListDeploymentsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ApplicationNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 4];
                    case "DeploymentGroupDoesNotExistException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentGroupDoesNotExistException": return [3, 6];
                    case "DeploymentGroupNameRequiredException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentGroupNameRequiredException": return [3, 8];
                    case "InvalidApplicationNameException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 10];
                    case "InvalidDeploymentGroupNameException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidDeploymentGroupNameException": return [3, 12];
                    case "InvalidDeploymentStatusException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidDeploymentStatusException": return [3, 14];
                    case "InvalidExternalIdException": return [3, 16];
                    case "com.amazonaws.codedeploy#InvalidExternalIdException": return [3, 16];
                    case "InvalidInputException": return [3, 18];
                    case "com.amazonaws.codedeploy#InvalidInputException": return [3, 18];
                    case "InvalidNextTokenException": return [3, 20];
                    case "com.amazonaws.codedeploy#InvalidNextTokenException": return [3, 20];
                    case "InvalidTimeRangeException": return [3, 22];
                    case "com.amazonaws.codedeploy#InvalidTimeRangeException": return [3, 22];
                }
                return [3, 24];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentGroupDoesNotExistExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentGroupNameRequiredExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidDeploymentGroupNameExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidDeploymentStatusExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1InvalidExternalIdExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1InvalidInputExceptionResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22: return [4, deserializeAws_json1_1InvalidTimeRangeExceptionResponse(parsedOutput, context)];
            case 23: throw _d.sent();
            case 24:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListDeploymentTargetsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListDeploymentTargetsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListDeploymentTargetsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListDeploymentTargetsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentDoesNotExistException": return [3, 2];
                    case "DeploymentIdRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 4];
                    case "DeploymentNotStartedException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentNotStartedException": return [3, 6];
                    case "InvalidDeploymentIdException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 8];
                    case "InvalidDeploymentInstanceTypeException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidDeploymentInstanceTypeException": return [3, 10];
                    case "InvalidInstanceStatusException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidInstanceStatusException": return [3, 12];
                    case "InvalidInstanceTypeException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidInstanceTypeException": return [3, 14];
                    case "InvalidNextTokenException": return [3, 16];
                    case "com.amazonaws.codedeploy#InvalidNextTokenException": return [3, 16];
                }
                return [3, 18];
            case 2: return [4, deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentNotStartedExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidDeploymentInstanceTypeExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidInstanceStatusExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidInstanceTypeExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListGitHubAccountTokenNamesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListGitHubAccountTokenNamesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListGitHubAccountTokenNamesOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListGitHubAccountTokenNamesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidNextTokenException": return [3, 2];
                    case "com.amazonaws.codedeploy#InvalidNextTokenException": return [3, 2];
                    case "OperationNotSupportedException": return [3, 4];
                    case "com.amazonaws.codedeploy#OperationNotSupportedException": return [3, 4];
                    case "ResourceValidationException": return [3, 6];
                    case "com.amazonaws.codedeploy#ResourceValidationException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1OperationNotSupportedExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ResourceValidationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListOnPremisesInstancesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListOnPremisesInstancesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListOnPremisesInstancesOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListOnPremisesInstancesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidNextTokenException": return [3, 2];
                    case "com.amazonaws.codedeploy#InvalidNextTokenException": return [3, 2];
                    case "InvalidRegistrationStatusException": return [3, 4];
                    case "com.amazonaws.codedeploy#InvalidRegistrationStatusException": return [3, 4];
                    case "InvalidTagFilterException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidTagFilterException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidRegistrationStatusExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidTagFilterExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListTagsForResourceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListTagsForResourceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListTagsForResourceOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListTagsForResourceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ArnNotSupportedException": return [3, 2];
                    case "com.amazonaws.codedeploy#ArnNotSupportedException": return [3, 2];
                    case "InvalidArnException": return [3, 4];
                    case "com.amazonaws.codedeploy#InvalidArnException": return [3, 4];
                    case "ResourceArnRequiredException": return [3, 6];
                    case "com.amazonaws.codedeploy#ResourceArnRequiredException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ArnNotSupportedExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidArnExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ResourceArnRequiredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1PutLifecycleEventHookExecutionStatusCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1PutLifecycleEventHookExecutionStatusCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1PutLifecycleEventHookExecutionStatusOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1PutLifecycleEventHookExecutionStatusCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentDoesNotExistException": return [3, 2];
                    case "DeploymentIdRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 4];
                    case "InvalidDeploymentIdException": return [3, 6];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 6];
                    case "InvalidLifecycleEventHookExecutionIdException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidLifecycleEventHookExecutionIdException": return [3, 8];
                    case "InvalidLifecycleEventHookExecutionStatusException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidLifecycleEventHookExecutionStatusException": return [3, 10];
                    case "LifecycleEventAlreadyCompletedException": return [3, 12];
                    case "com.amazonaws.codedeploy#LifecycleEventAlreadyCompletedException": return [3, 12];
                    case "UnsupportedActionForDeploymentTypeException": return [3, 14];
                    case "com.amazonaws.codedeploy#UnsupportedActionForDeploymentTypeException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidLifecycleEventHookExecutionIdExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidLifecycleEventHookExecutionStatusExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1LifecycleEventAlreadyCompletedExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1UnsupportedActionForDeploymentTypeExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1RegisterApplicationRevisionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1RegisterApplicationRevisionCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1RegisterApplicationRevisionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ApplicationNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 4];
                    case "DescriptionTooLongException": return [3, 6];
                    case "com.amazonaws.codedeploy#DescriptionTooLongException": return [3, 6];
                    case "InvalidApplicationNameException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 8];
                    case "InvalidRevisionException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidRevisionException": return [3, 10];
                    case "RevisionRequiredException": return [3, 12];
                    case "com.amazonaws.codedeploy#RevisionRequiredException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DescriptionTooLongExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidRevisionExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1RevisionRequiredExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1RegisterOnPremisesInstanceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1RegisterOnPremisesInstanceCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1RegisterOnPremisesInstanceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "IamArnRequiredException": return [3, 2];
                    case "com.amazonaws.codedeploy#IamArnRequiredException": return [3, 2];
                    case "IamSessionArnAlreadyRegisteredException": return [3, 4];
                    case "com.amazonaws.codedeploy#IamSessionArnAlreadyRegisteredException": return [3, 4];
                    case "IamUserArnAlreadyRegisteredException": return [3, 6];
                    case "com.amazonaws.codedeploy#IamUserArnAlreadyRegisteredException": return [3, 6];
                    case "IamUserArnRequiredException": return [3, 8];
                    case "com.amazonaws.codedeploy#IamUserArnRequiredException": return [3, 8];
                    case "InstanceNameAlreadyRegisteredException": return [3, 10];
                    case "com.amazonaws.codedeploy#InstanceNameAlreadyRegisteredException": return [3, 10];
                    case "InstanceNameRequiredException": return [3, 12];
                    case "com.amazonaws.codedeploy#InstanceNameRequiredException": return [3, 12];
                    case "InvalidIamSessionArnException": return [3, 14];
                    case "com.amazonaws.codedeploy#InvalidIamSessionArnException": return [3, 14];
                    case "InvalidIamUserArnException": return [3, 16];
                    case "com.amazonaws.codedeploy#InvalidIamUserArnException": return [3, 16];
                    case "InvalidInstanceNameException": return [3, 18];
                    case "com.amazonaws.codedeploy#InvalidInstanceNameException": return [3, 18];
                    case "MultipleIamArnsProvidedException": return [3, 20];
                    case "com.amazonaws.codedeploy#MultipleIamArnsProvidedException": return [3, 20];
                }
                return [3, 22];
            case 2: return [4, deserializeAws_json1_1IamArnRequiredExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1IamSessionArnAlreadyRegisteredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1IamUserArnAlreadyRegisteredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1IamUserArnRequiredExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InstanceNameAlreadyRegisteredExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InstanceNameRequiredExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidIamSessionArnExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1InvalidIamUserArnExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1InvalidInstanceNameExceptionResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1MultipleIamArnsProvidedExceptionResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1RemoveTagsFromOnPremisesInstancesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1RemoveTagsFromOnPremisesInstancesCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1RemoveTagsFromOnPremisesInstancesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InstanceLimitExceededException": return [3, 2];
                    case "com.amazonaws.codedeploy#InstanceLimitExceededException": return [3, 2];
                    case "InstanceNameRequiredException": return [3, 4];
                    case "com.amazonaws.codedeploy#InstanceNameRequiredException": return [3, 4];
                    case "InstanceNotRegisteredException": return [3, 6];
                    case "com.amazonaws.codedeploy#InstanceNotRegisteredException": return [3, 6];
                    case "InvalidInstanceNameException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidInstanceNameException": return [3, 8];
                    case "InvalidTagException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidTagException": return [3, 10];
                    case "TagLimitExceededException": return [3, 12];
                    case "com.amazonaws.codedeploy#TagLimitExceededException": return [3, 12];
                    case "TagRequiredException": return [3, 14];
                    case "com.amazonaws.codedeploy#TagRequiredException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1InstanceLimitExceededExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InstanceNameRequiredExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InstanceNotRegisteredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidInstanceNameExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidTagExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1TagLimitExceededExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1TagRequiredExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1SkipWaitTimeForInstanceTerminationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1SkipWaitTimeForInstanceTerminationCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1SkipWaitTimeForInstanceTerminationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentAlreadyCompletedException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentAlreadyCompletedException": return [3, 2];
                    case "DeploymentDoesNotExistException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentDoesNotExistException": return [3, 4];
                    case "DeploymentIdRequiredException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 6];
                    case "DeploymentNotStartedException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentNotStartedException": return [3, 8];
                    case "InvalidDeploymentIdException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 10];
                    case "UnsupportedActionForDeploymentTypeException": return [3, 12];
                    case "com.amazonaws.codedeploy#UnsupportedActionForDeploymentTypeException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1DeploymentAlreadyCompletedExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentNotStartedExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1UnsupportedActionForDeploymentTypeExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StopDeploymentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopDeploymentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1StopDeploymentOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopDeploymentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DeploymentAlreadyCompletedException": return [3, 2];
                    case "com.amazonaws.codedeploy#DeploymentAlreadyCompletedException": return [3, 2];
                    case "DeploymentDoesNotExistException": return [3, 4];
                    case "com.amazonaws.codedeploy#DeploymentDoesNotExistException": return [3, 4];
                    case "DeploymentGroupDoesNotExistException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentGroupDoesNotExistException": return [3, 6];
                    case "DeploymentIdRequiredException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentIdRequiredException": return [3, 8];
                    case "InvalidDeploymentIdException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidDeploymentIdException": return [3, 10];
                    case "UnsupportedActionForDeploymentTypeException": return [3, 12];
                    case "com.amazonaws.codedeploy#UnsupportedActionForDeploymentTypeException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1DeploymentAlreadyCompletedExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentGroupDoesNotExistExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentIdRequiredExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidDeploymentIdExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1UnsupportedActionForDeploymentTypeExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1TagResourceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1TagResourceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1TagResourceOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1TagResourceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ArnNotSupportedException": return [3, 4];
                    case "com.amazonaws.codedeploy#ArnNotSupportedException": return [3, 4];
                    case "DeploymentConfigDoesNotExistException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentConfigDoesNotExistException": return [3, 6];
                    case "DeploymentGroupDoesNotExistException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentGroupDoesNotExistException": return [3, 8];
                    case "InvalidArnException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidArnException": return [3, 10];
                    case "InvalidTagsToAddException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidTagsToAddException": return [3, 12];
                    case "ResourceArnRequiredException": return [3, 14];
                    case "com.amazonaws.codedeploy#ResourceArnRequiredException": return [3, 14];
                    case "TagRequiredException": return [3, 16];
                    case "com.amazonaws.codedeploy#TagRequiredException": return [3, 16];
                }
                return [3, 18];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ArnNotSupportedExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentConfigDoesNotExistExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentGroupDoesNotExistExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidArnExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidTagsToAddExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1ResourceArnRequiredExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1TagRequiredExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UntagResourceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UntagResourceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UntagResourceOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UntagResourceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationDoesNotExistException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 2];
                    case "ArnNotSupportedException": return [3, 4];
                    case "com.amazonaws.codedeploy#ArnNotSupportedException": return [3, 4];
                    case "DeploymentConfigDoesNotExistException": return [3, 6];
                    case "com.amazonaws.codedeploy#DeploymentConfigDoesNotExistException": return [3, 6];
                    case "DeploymentGroupDoesNotExistException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentGroupDoesNotExistException": return [3, 8];
                    case "InvalidArnException": return [3, 10];
                    case "com.amazonaws.codedeploy#InvalidArnException": return [3, 10];
                    case "InvalidTagsToAddException": return [3, 12];
                    case "com.amazonaws.codedeploy#InvalidTagsToAddException": return [3, 12];
                    case "ResourceArnRequiredException": return [3, 14];
                    case "com.amazonaws.codedeploy#ResourceArnRequiredException": return [3, 14];
                    case "TagRequiredException": return [3, 16];
                    case "com.amazonaws.codedeploy#TagRequiredException": return [3, 16];
                }
                return [3, 18];
            case 2: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ArnNotSupportedExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DeploymentConfigDoesNotExistExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentGroupDoesNotExistExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidArnExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidTagsToAddExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1ResourceArnRequiredExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1TagRequiredExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateApplicationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateApplicationCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateApplicationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ApplicationAlreadyExistsException": return [3, 2];
                    case "com.amazonaws.codedeploy#ApplicationAlreadyExistsException": return [3, 2];
                    case "ApplicationDoesNotExistException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 4];
                    case "ApplicationNameRequiredException": return [3, 6];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 6];
                    case "InvalidApplicationNameException": return [3, 8];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1ApplicationAlreadyExistsExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateDeploymentGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateDeploymentGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateDeploymentGroupOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateDeploymentGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "AlarmsLimitExceededException": return [3, 2];
                    case "com.amazonaws.codedeploy#AlarmsLimitExceededException": return [3, 2];
                    case "ApplicationDoesNotExistException": return [3, 4];
                    case "com.amazonaws.codedeploy#ApplicationDoesNotExistException": return [3, 4];
                    case "ApplicationNameRequiredException": return [3, 6];
                    case "com.amazonaws.codedeploy#ApplicationNameRequiredException": return [3, 6];
                    case "DeploymentConfigDoesNotExistException": return [3, 8];
                    case "com.amazonaws.codedeploy#DeploymentConfigDoesNotExistException": return [3, 8];
                    case "DeploymentGroupAlreadyExistsException": return [3, 10];
                    case "com.amazonaws.codedeploy#DeploymentGroupAlreadyExistsException": return [3, 10];
                    case "DeploymentGroupDoesNotExistException": return [3, 12];
                    case "com.amazonaws.codedeploy#DeploymentGroupDoesNotExistException": return [3, 12];
                    case "DeploymentGroupNameRequiredException": return [3, 14];
                    case "com.amazonaws.codedeploy#DeploymentGroupNameRequiredException": return [3, 14];
                    case "ECSServiceMappingLimitExceededException": return [3, 16];
                    case "com.amazonaws.codedeploy#ECSServiceMappingLimitExceededException": return [3, 16];
                    case "InvalidAlarmConfigException": return [3, 18];
                    case "com.amazonaws.codedeploy#InvalidAlarmConfigException": return [3, 18];
                    case "InvalidApplicationNameException": return [3, 20];
                    case "com.amazonaws.codedeploy#InvalidApplicationNameException": return [3, 20];
                    case "InvalidAutoRollbackConfigException": return [3, 22];
                    case "com.amazonaws.codedeploy#InvalidAutoRollbackConfigException": return [3, 22];
                    case "InvalidAutoScalingGroupException": return [3, 24];
                    case "com.amazonaws.codedeploy#InvalidAutoScalingGroupException": return [3, 24];
                    case "InvalidBlueGreenDeploymentConfigurationException": return [3, 26];
                    case "com.amazonaws.codedeploy#InvalidBlueGreenDeploymentConfigurationException": return [3, 26];
                    case "InvalidDeploymentConfigNameException": return [3, 28];
                    case "com.amazonaws.codedeploy#InvalidDeploymentConfigNameException": return [3, 28];
                    case "InvalidDeploymentGroupNameException": return [3, 30];
                    case "com.amazonaws.codedeploy#InvalidDeploymentGroupNameException": return [3, 30];
                    case "InvalidDeploymentStyleException": return [3, 32];
                    case "com.amazonaws.codedeploy#InvalidDeploymentStyleException": return [3, 32];
                    case "InvalidEC2TagCombinationException": return [3, 34];
                    case "com.amazonaws.codedeploy#InvalidEC2TagCombinationException": return [3, 34];
                    case "InvalidEC2TagException": return [3, 36];
                    case "com.amazonaws.codedeploy#InvalidEC2TagException": return [3, 36];
                    case "InvalidECSServiceException": return [3, 38];
                    case "com.amazonaws.codedeploy#InvalidECSServiceException": return [3, 38];
                    case "InvalidInputException": return [3, 40];
                    case "com.amazonaws.codedeploy#InvalidInputException": return [3, 40];
                    case "InvalidLoadBalancerInfoException": return [3, 42];
                    case "com.amazonaws.codedeploy#InvalidLoadBalancerInfoException": return [3, 42];
                    case "InvalidOnPremisesTagCombinationException": return [3, 44];
                    case "com.amazonaws.codedeploy#InvalidOnPremisesTagCombinationException": return [3, 44];
                    case "InvalidRoleException": return [3, 46];
                    case "com.amazonaws.codedeploy#InvalidRoleException": return [3, 46];
                    case "InvalidTagException": return [3, 48];
                    case "com.amazonaws.codedeploy#InvalidTagException": return [3, 48];
                    case "InvalidTargetGroupPairException": return [3, 50];
                    case "com.amazonaws.codedeploy#InvalidTargetGroupPairException": return [3, 50];
                    case "InvalidTrafficRoutingConfigurationException": return [3, 52];
                    case "com.amazonaws.codedeploy#InvalidTrafficRoutingConfigurationException": return [3, 52];
                    case "InvalidTriggerConfigException": return [3, 54];
                    case "com.amazonaws.codedeploy#InvalidTriggerConfigException": return [3, 54];
                    case "LifecycleHookLimitExceededException": return [3, 56];
                    case "com.amazonaws.codedeploy#LifecycleHookLimitExceededException": return [3, 56];
                    case "TagSetListLimitExceededException": return [3, 58];
                    case "com.amazonaws.codedeploy#TagSetListLimitExceededException": return [3, 58];
                    case "ThrottlingException": return [3, 60];
                    case "com.amazonaws.codedeploy#ThrottlingException": return [3, 60];
                    case "TriggerTargetsLimitExceededException": return [3, 62];
                    case "com.amazonaws.codedeploy#TriggerTargetsLimitExceededException": return [3, 62];
                }
                return [3, 64];
            case 2: return [4, deserializeAws_json1_1AlarmsLimitExceededExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ApplicationNameRequiredExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DeploymentConfigDoesNotExistExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1DeploymentGroupAlreadyExistsExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1DeploymentGroupDoesNotExistExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1DeploymentGroupNameRequiredExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1ECSServiceMappingLimitExceededExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1InvalidAlarmConfigExceptionResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1InvalidApplicationNameExceptionResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22: return [4, deserializeAws_json1_1InvalidAutoRollbackConfigExceptionResponse(parsedOutput, context)];
            case 23: throw _d.sent();
            case 24: return [4, deserializeAws_json1_1InvalidAutoScalingGroupExceptionResponse(parsedOutput, context)];
            case 25: throw _d.sent();
            case 26: return [4, deserializeAws_json1_1InvalidBlueGreenDeploymentConfigurationExceptionResponse(parsedOutput, context)];
            case 27: throw _d.sent();
            case 28: return [4, deserializeAws_json1_1InvalidDeploymentConfigNameExceptionResponse(parsedOutput, context)];
            case 29: throw _d.sent();
            case 30: return [4, deserializeAws_json1_1InvalidDeploymentGroupNameExceptionResponse(parsedOutput, context)];
            case 31: throw _d.sent();
            case 32: return [4, deserializeAws_json1_1InvalidDeploymentStyleExceptionResponse(parsedOutput, context)];
            case 33: throw _d.sent();
            case 34: return [4, deserializeAws_json1_1InvalidEC2TagCombinationExceptionResponse(parsedOutput, context)];
            case 35: throw _d.sent();
            case 36: return [4, deserializeAws_json1_1InvalidEC2TagExceptionResponse(parsedOutput, context)];
            case 37: throw _d.sent();
            case 38: return [4, deserializeAws_json1_1InvalidECSServiceExceptionResponse(parsedOutput, context)];
            case 39: throw _d.sent();
            case 40: return [4, deserializeAws_json1_1InvalidInputExceptionResponse(parsedOutput, context)];
            case 41: throw _d.sent();
            case 42: return [4, deserializeAws_json1_1InvalidLoadBalancerInfoExceptionResponse(parsedOutput, context)];
            case 43: throw _d.sent();
            case 44: return [4, deserializeAws_json1_1InvalidOnPremisesTagCombinationExceptionResponse(parsedOutput, context)];
            case 45: throw _d.sent();
            case 46: return [4, deserializeAws_json1_1InvalidRoleExceptionResponse(parsedOutput, context)];
            case 47: throw _d.sent();
            case 48: return [4, deserializeAws_json1_1InvalidTagExceptionResponse(parsedOutput, context)];
            case 49: throw _d.sent();
            case 50: return [4, deserializeAws_json1_1InvalidTargetGroupPairExceptionResponse(parsedOutput, context)];
            case 51: throw _d.sent();
            case 52: return [4, deserializeAws_json1_1InvalidTrafficRoutingConfigurationExceptionResponse(parsedOutput, context)];
            case 53: throw _d.sent();
            case 54: return [4, deserializeAws_json1_1InvalidTriggerConfigExceptionResponse(parsedOutput, context)];
            case 55: throw _d.sent();
            case 56: return [4, deserializeAws_json1_1LifecycleHookLimitExceededExceptionResponse(parsedOutput, context)];
            case 57: throw _d.sent();
            case 58: return [4, deserializeAws_json1_1TagSetListLimitExceededExceptionResponse(parsedOutput, context)];
            case 59: throw _d.sent();
            case 60: return [4, deserializeAws_json1_1ThrottlingExceptionResponse(parsedOutput, context)];
            case 61: throw _d.sent();
            case 62: return [4, deserializeAws_json1_1TriggerTargetsLimitExceededExceptionResponse(parsedOutput, context)];
            case 63: throw _d.sent();
            case 64:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
var deserializeAws_json1_1AlarmsLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1AlarmsLimitExceededException(body, context);
        exception = new AlarmsLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ApplicationAlreadyExistsExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ApplicationAlreadyExistsException(body, context);
        exception = new ApplicationAlreadyExistsException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ApplicationDoesNotExistExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ApplicationDoesNotExistException(body, context);
        exception = new ApplicationDoesNotExistException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ApplicationLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ApplicationLimitExceededException(body, context);
        exception = new ApplicationLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ApplicationNameRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ApplicationNameRequiredException(body, context);
        exception = new ApplicationNameRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ArnNotSupportedExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ArnNotSupportedException(body, context);
        exception = new ArnNotSupportedException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1BatchLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1BatchLimitExceededException(body, context);
        exception = new BatchLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1BucketNameFilterRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1BucketNameFilterRequiredException(body, context);
        exception = new BucketNameFilterRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentAlreadyCompletedExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentAlreadyCompletedException(body, context);
        exception = new DeploymentAlreadyCompletedException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentConfigAlreadyExistsExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentConfigAlreadyExistsException(body, context);
        exception = new DeploymentConfigAlreadyExistsException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentConfigDoesNotExistExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentConfigDoesNotExistException(body, context);
        exception = new DeploymentConfigDoesNotExistException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentConfigInUseExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentConfigInUseException(body, context);
        exception = new DeploymentConfigInUseException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentConfigLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentConfigLimitExceededException(body, context);
        exception = new DeploymentConfigLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentConfigNameRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentConfigNameRequiredException(body, context);
        exception = new DeploymentConfigNameRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentDoesNotExistExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentDoesNotExistException(body, context);
        exception = new DeploymentDoesNotExistException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentGroupAlreadyExistsExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentGroupAlreadyExistsException(body, context);
        exception = new DeploymentGroupAlreadyExistsException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentGroupDoesNotExistExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentGroupDoesNotExistException(body, context);
        exception = new DeploymentGroupDoesNotExistException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentGroupLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentGroupLimitExceededException(body, context);
        exception = new DeploymentGroupLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentGroupNameRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentGroupNameRequiredException(body, context);
        exception = new DeploymentGroupNameRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentIdRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentIdRequiredException(body, context);
        exception = new DeploymentIdRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentIsNotInReadyStateExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentIsNotInReadyStateException(body, context);
        exception = new DeploymentIsNotInReadyStateException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentLimitExceededException(body, context);
        exception = new DeploymentLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentNotStartedExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentNotStartedException(body, context);
        exception = new DeploymentNotStartedException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentTargetDoesNotExistExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentTargetDoesNotExistException(body, context);
        exception = new DeploymentTargetDoesNotExistException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentTargetIdRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentTargetIdRequiredException(body, context);
        exception = new DeploymentTargetIdRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DeploymentTargetListSizeExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DeploymentTargetListSizeExceededException(body, context);
        exception = new DeploymentTargetListSizeExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DescriptionTooLongExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DescriptionTooLongException(body, context);
        exception = new DescriptionTooLongException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ECSServiceMappingLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ECSServiceMappingLimitExceededException(body, context);
        exception = new ECSServiceMappingLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1GitHubAccountTokenDoesNotExistExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1GitHubAccountTokenDoesNotExistException(body, context);
        exception = new GitHubAccountTokenDoesNotExistException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1GitHubAccountTokenNameRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1GitHubAccountTokenNameRequiredException(body, context);
        exception = new GitHubAccountTokenNameRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1IamArnRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1IamArnRequiredException(body, context);
        exception = new IamArnRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1IamSessionArnAlreadyRegisteredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1IamSessionArnAlreadyRegisteredException(body, context);
        exception = new IamSessionArnAlreadyRegisteredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1IamUserArnAlreadyRegisteredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1IamUserArnAlreadyRegisteredException(body, context);
        exception = new IamUserArnAlreadyRegisteredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1IamUserArnRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1IamUserArnRequiredException(body, context);
        exception = new IamUserArnRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InstanceDoesNotExistExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InstanceDoesNotExistException(body, context);
        exception = new InstanceDoesNotExistException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InstanceIdRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InstanceIdRequiredException(body, context);
        exception = new InstanceIdRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InstanceLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InstanceLimitExceededException(body, context);
        exception = new InstanceLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InstanceNameAlreadyRegisteredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InstanceNameAlreadyRegisteredException(body, context);
        exception = new InstanceNameAlreadyRegisteredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InstanceNameRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InstanceNameRequiredException(body, context);
        exception = new InstanceNameRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InstanceNotRegisteredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InstanceNotRegisteredException(body, context);
        exception = new InstanceNotRegisteredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidAlarmConfigExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidAlarmConfigException(body, context);
        exception = new InvalidAlarmConfigException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidApplicationNameExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidApplicationNameException(body, context);
        exception = new InvalidApplicationNameException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidArnExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidArnException(body, context);
        exception = new InvalidArnException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidAutoRollbackConfigExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidAutoRollbackConfigException(body, context);
        exception = new InvalidAutoRollbackConfigException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidAutoScalingGroupExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidAutoScalingGroupException(body, context);
        exception = new InvalidAutoScalingGroupException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidBlueGreenDeploymentConfigurationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidBlueGreenDeploymentConfigurationException(body, context);
        exception = new InvalidBlueGreenDeploymentConfigurationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidBucketNameFilterExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidBucketNameFilterException(body, context);
        exception = new InvalidBucketNameFilterException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidComputePlatformExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidComputePlatformException(body, context);
        exception = new InvalidComputePlatformException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidDeployedStateFilterExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidDeployedStateFilterException(body, context);
        exception = new InvalidDeployedStateFilterException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidDeploymentConfigNameExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidDeploymentConfigNameException(body, context);
        exception = new InvalidDeploymentConfigNameException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidDeploymentGroupNameExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidDeploymentGroupNameException(body, context);
        exception = new InvalidDeploymentGroupNameException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidDeploymentIdExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidDeploymentIdException(body, context);
        exception = new InvalidDeploymentIdException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidDeploymentInstanceTypeExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidDeploymentInstanceTypeException(body, context);
        exception = new InvalidDeploymentInstanceTypeException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidDeploymentStatusExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidDeploymentStatusException(body, context);
        exception = new InvalidDeploymentStatusException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidDeploymentStyleExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidDeploymentStyleException(body, context);
        exception = new InvalidDeploymentStyleException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidDeploymentTargetIdExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidDeploymentTargetIdException(body, context);
        exception = new InvalidDeploymentTargetIdException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidDeploymentWaitTypeExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidDeploymentWaitTypeException(body, context);
        exception = new InvalidDeploymentWaitTypeException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidEC2TagCombinationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidEC2TagCombinationException(body, context);
        exception = new InvalidEC2TagCombinationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidEC2TagExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidEC2TagException(body, context);
        exception = new InvalidEC2TagException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidECSServiceExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidECSServiceException(body, context);
        exception = new InvalidECSServiceException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidExternalIdExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidExternalIdException(body, context);
        exception = new InvalidExternalIdException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidFileExistsBehaviorExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidFileExistsBehaviorException(body, context);
        exception = new InvalidFileExistsBehaviorException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidGitHubAccountTokenExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidGitHubAccountTokenException(body, context);
        exception = new InvalidGitHubAccountTokenException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidGitHubAccountTokenNameExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidGitHubAccountTokenNameException(body, context);
        exception = new InvalidGitHubAccountTokenNameException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidIamSessionArnExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidIamSessionArnException(body, context);
        exception = new InvalidIamSessionArnException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidIamUserArnExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidIamUserArnException(body, context);
        exception = new InvalidIamUserArnException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidIgnoreApplicationStopFailuresValueExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidIgnoreApplicationStopFailuresValueException(body, context);
        exception = new InvalidIgnoreApplicationStopFailuresValueException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidInputExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidInputException(body, context);
        exception = new InvalidInputException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidInstanceNameExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidInstanceNameException(body, context);
        exception = new InvalidInstanceNameException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidInstanceStatusExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidInstanceStatusException(body, context);
        exception = new InvalidInstanceStatusException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidInstanceTypeExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidInstanceTypeException(body, context);
        exception = new InvalidInstanceTypeException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidKeyPrefixFilterExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidKeyPrefixFilterException(body, context);
        exception = new InvalidKeyPrefixFilterException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidLifecycleEventHookExecutionIdExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidLifecycleEventHookExecutionIdException(body, context);
        exception = new InvalidLifecycleEventHookExecutionIdException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidLifecycleEventHookExecutionStatusExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidLifecycleEventHookExecutionStatusException(body, context);
        exception = new InvalidLifecycleEventHookExecutionStatusException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidLoadBalancerInfoExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidLoadBalancerInfoException(body, context);
        exception = new InvalidLoadBalancerInfoException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidMinimumHealthyHostValueExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidMinimumHealthyHostValueException(body, context);
        exception = new InvalidMinimumHealthyHostValueException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidNextTokenExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidNextTokenException(body, context);
        exception = new InvalidNextTokenException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidOnPremisesTagCombinationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidOnPremisesTagCombinationException(body, context);
        exception = new InvalidOnPremisesTagCombinationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidOperationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidOperationException(body, context);
        exception = new InvalidOperationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidRegistrationStatusExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidRegistrationStatusException(body, context);
        exception = new InvalidRegistrationStatusException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidRevisionExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidRevisionException(body, context);
        exception = new InvalidRevisionException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidRoleExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidRoleException(body, context);
        exception = new InvalidRoleException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidSortByExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidSortByException(body, context);
        exception = new InvalidSortByException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidSortOrderExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidSortOrderException(body, context);
        exception = new InvalidSortOrderException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidTagExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidTagException(body, context);
        exception = new InvalidTagException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidTagFilterExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidTagFilterException(body, context);
        exception = new InvalidTagFilterException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidTagsToAddExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidTagsToAddException(body, context);
        exception = new InvalidTagsToAddException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidTargetFilterNameExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidTargetFilterNameException(body, context);
        exception = new InvalidTargetFilterNameException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidTargetGroupPairExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidTargetGroupPairException(body, context);
        exception = new InvalidTargetGroupPairException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidTargetInstancesExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidTargetInstancesException(body, context);
        exception = new InvalidTargetInstancesException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidTimeRangeExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidTimeRangeException(body, context);
        exception = new InvalidTimeRangeException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidTrafficRoutingConfigurationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidTrafficRoutingConfigurationException(body, context);
        exception = new InvalidTrafficRoutingConfigurationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidTriggerConfigExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidTriggerConfigException(body, context);
        exception = new InvalidTriggerConfigException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidUpdateOutdatedInstancesOnlyValueExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidUpdateOutdatedInstancesOnlyValueException(body, context);
        exception = new InvalidUpdateOutdatedInstancesOnlyValueException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1LifecycleEventAlreadyCompletedExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1LifecycleEventAlreadyCompletedException(body, context);
        exception = new LifecycleEventAlreadyCompletedException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1LifecycleHookLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1LifecycleHookLimitExceededException(body, context);
        exception = new LifecycleHookLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1MultipleIamArnsProvidedExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1MultipleIamArnsProvidedException(body, context);
        exception = new MultipleIamArnsProvidedException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1OperationNotSupportedExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1OperationNotSupportedException(body, context);
        exception = new OperationNotSupportedException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ResourceArnRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ResourceArnRequiredException(body, context);
        exception = new ResourceArnRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ResourceValidationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ResourceValidationException(body, context);
        exception = new ResourceValidationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1RevisionDoesNotExistExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1RevisionDoesNotExistException(body, context);
        exception = new RevisionDoesNotExistException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1RevisionRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1RevisionRequiredException(body, context);
        exception = new RevisionRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1RoleRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1RoleRequiredException(body, context);
        exception = new RoleRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1TagLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1TagLimitExceededException(body, context);
        exception = new TagLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1TagRequiredExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1TagRequiredException(body, context);
        exception = new TagRequiredException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1TagSetListLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1TagSetListLimitExceededException(body, context);
        exception = new TagSetListLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ThrottlingExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ThrottlingException(body, context);
        exception = new ThrottlingException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1TriggerTargetsLimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1TriggerTargetsLimitExceededException(body, context);
        exception = new TriggerTargetsLimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1UnsupportedActionForDeploymentTypeExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1UnsupportedActionForDeploymentTypeException(body, context);
        exception = new UnsupportedActionForDeploymentTypeException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var serializeAws_json1_1AddTagsToOnPremisesInstancesInput = function (input, context) {
    return __assign(__assign({}, (input.instanceNames !== undefined &&
        input.instanceNames !== null && {
        instanceNames: serializeAws_json1_1InstanceNameList(input.instanceNames, context),
    })), (input.tags !== undefined && input.tags !== null && { tags: serializeAws_json1_1TagList(input.tags, context) }));
};
var serializeAws_json1_1Alarm = function (input, context) {
    return __assign({}, (input.name !== undefined && input.name !== null && { name: input.name }));
};
var serializeAws_json1_1AlarmConfiguration = function (input, context) {
    return __assign(__assign(__assign({}, (input.alarms !== undefined &&
        input.alarms !== null && { alarms: serializeAws_json1_1AlarmList(input.alarms, context) })), (input.enabled !== undefined && input.enabled !== null && { enabled: input.enabled })), (input.ignorePollAlarmFailure !== undefined &&
        input.ignorePollAlarmFailure !== null && { ignorePollAlarmFailure: input.ignorePollAlarmFailure }));
};
var serializeAws_json1_1AlarmList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1Alarm(entry, context);
    });
};
var serializeAws_json1_1ApplicationsList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1AppSpecContent = function (input, context) {
    return __assign(__assign({}, (input.content !== undefined && input.content !== null && { content: input.content })), (input.sha256 !== undefined && input.sha256 !== null && { sha256: input.sha256 }));
};
var serializeAws_json1_1AutoRollbackConfiguration = function (input, context) {
    return __assign(__assign({}, (input.enabled !== undefined && input.enabled !== null && { enabled: input.enabled })), (input.events !== undefined &&
        input.events !== null && { events: serializeAws_json1_1AutoRollbackEventsList(input.events, context) }));
};
var serializeAws_json1_1AutoRollbackEventsList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1AutoScalingGroupNameList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1BatchGetApplicationRevisionsInput = function (input, context) {
    return __assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.revisions !== undefined &&
        input.revisions !== null && { revisions: serializeAws_json1_1RevisionLocationList(input.revisions, context) }));
};
var serializeAws_json1_1BatchGetApplicationsInput = function (input, context) {
    return __assign({}, (input.applicationNames !== undefined &&
        input.applicationNames !== null && {
        applicationNames: serializeAws_json1_1ApplicationsList(input.applicationNames, context),
    }));
};
var serializeAws_json1_1BatchGetDeploymentGroupsInput = function (input, context) {
    return __assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.deploymentGroupNames !== undefined &&
        input.deploymentGroupNames !== null && {
        deploymentGroupNames: serializeAws_json1_1DeploymentGroupsList(input.deploymentGroupNames, context),
    }));
};
var serializeAws_json1_1BatchGetDeploymentInstancesInput = function (input, context) {
    return __assign(__assign({}, (input.deploymentId !== undefined && input.deploymentId !== null && { deploymentId: input.deploymentId })), (input.instanceIds !== undefined &&
        input.instanceIds !== null && { instanceIds: serializeAws_json1_1InstancesList(input.instanceIds, context) }));
};
var serializeAws_json1_1BatchGetDeploymentsInput = function (input, context) {
    return __assign({}, (input.deploymentIds !== undefined &&
        input.deploymentIds !== null && {
        deploymentIds: serializeAws_json1_1DeploymentsList(input.deploymentIds, context),
    }));
};
var serializeAws_json1_1BatchGetDeploymentTargetsInput = function (input, context) {
    return __assign(__assign({}, (input.deploymentId !== undefined && input.deploymentId !== null && { deploymentId: input.deploymentId })), (input.targetIds !== undefined &&
        input.targetIds !== null && { targetIds: serializeAws_json1_1TargetIdList(input.targetIds, context) }));
};
var serializeAws_json1_1BatchGetOnPremisesInstancesInput = function (input, context) {
    return __assign({}, (input.instanceNames !== undefined &&
        input.instanceNames !== null && {
        instanceNames: serializeAws_json1_1InstanceNameList(input.instanceNames, context),
    }));
};
var serializeAws_json1_1BlueGreenDeploymentConfiguration = function (input, context) {
    return __assign(__assign(__assign({}, (input.deploymentReadyOption !== undefined &&
        input.deploymentReadyOption !== null && {
        deploymentReadyOption: serializeAws_json1_1DeploymentReadyOption(input.deploymentReadyOption, context),
    })), (input.greenFleetProvisioningOption !== undefined &&
        input.greenFleetProvisioningOption !== null && {
        greenFleetProvisioningOption: serializeAws_json1_1GreenFleetProvisioningOption(input.greenFleetProvisioningOption, context),
    })), (input.terminateBlueInstancesOnDeploymentSuccess !== undefined &&
        input.terminateBlueInstancesOnDeploymentSuccess !== null && {
        terminateBlueInstancesOnDeploymentSuccess: serializeAws_json1_1BlueInstanceTerminationOption(input.terminateBlueInstancesOnDeploymentSuccess, context),
    }));
};
var serializeAws_json1_1BlueInstanceTerminationOption = function (input, context) {
    return __assign(__assign({}, (input.action !== undefined && input.action !== null && { action: input.action })), (input.terminationWaitTimeInMinutes !== undefined &&
        input.terminationWaitTimeInMinutes !== null && {
        terminationWaitTimeInMinutes: input.terminationWaitTimeInMinutes,
    }));
};
var serializeAws_json1_1ContinueDeploymentInput = function (input, context) {
    return __assign(__assign({}, (input.deploymentId !== undefined && input.deploymentId !== null && { deploymentId: input.deploymentId })), (input.deploymentWaitType !== undefined &&
        input.deploymentWaitType !== null && { deploymentWaitType: input.deploymentWaitType }));
};
var serializeAws_json1_1CreateApplicationInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.computePlatform !== undefined &&
        input.computePlatform !== null && { computePlatform: input.computePlatform })), (input.tags !== undefined && input.tags !== null && { tags: serializeAws_json1_1TagList(input.tags, context) }));
};
var serializeAws_json1_1CreateDeploymentConfigInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.computePlatform !== undefined &&
        input.computePlatform !== null && { computePlatform: input.computePlatform })), (input.deploymentConfigName !== undefined &&
        input.deploymentConfigName !== null && { deploymentConfigName: input.deploymentConfigName })), (input.minimumHealthyHosts !== undefined &&
        input.minimumHealthyHosts !== null && {
        minimumHealthyHosts: serializeAws_json1_1MinimumHealthyHosts(input.minimumHealthyHosts, context),
    })), (input.trafficRoutingConfig !== undefined &&
        input.trafficRoutingConfig !== null && {
        trafficRoutingConfig: serializeAws_json1_1TrafficRoutingConfig(input.trafficRoutingConfig, context),
    }));
};
var serializeAws_json1_1CreateDeploymentGroupInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.alarmConfiguration !== undefined &&
        input.alarmConfiguration !== null && {
        alarmConfiguration: serializeAws_json1_1AlarmConfiguration(input.alarmConfiguration, context),
    })), (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.autoRollbackConfiguration !== undefined &&
        input.autoRollbackConfiguration !== null && {
        autoRollbackConfiguration: serializeAws_json1_1AutoRollbackConfiguration(input.autoRollbackConfiguration, context),
    })), (input.autoScalingGroups !== undefined &&
        input.autoScalingGroups !== null && {
        autoScalingGroups: serializeAws_json1_1AutoScalingGroupNameList(input.autoScalingGroups, context),
    })), (input.blueGreenDeploymentConfiguration !== undefined &&
        input.blueGreenDeploymentConfiguration !== null && {
        blueGreenDeploymentConfiguration: serializeAws_json1_1BlueGreenDeploymentConfiguration(input.blueGreenDeploymentConfiguration, context),
    })), (input.deploymentConfigName !== undefined &&
        input.deploymentConfigName !== null && { deploymentConfigName: input.deploymentConfigName })), (input.deploymentGroupName !== undefined &&
        input.deploymentGroupName !== null && { deploymentGroupName: input.deploymentGroupName })), (input.deploymentStyle !== undefined &&
        input.deploymentStyle !== null && {
        deploymentStyle: serializeAws_json1_1DeploymentStyle(input.deploymentStyle, context),
    })), (input.ec2TagFilters !== undefined &&
        input.ec2TagFilters !== null && {
        ec2TagFilters: serializeAws_json1_1EC2TagFilterList(input.ec2TagFilters, context),
    })), (input.ec2TagSet !== undefined &&
        input.ec2TagSet !== null && { ec2TagSet: serializeAws_json1_1EC2TagSet(input.ec2TagSet, context) })), (input.ecsServices !== undefined &&
        input.ecsServices !== null && { ecsServices: serializeAws_json1_1ECSServiceList(input.ecsServices, context) })), (input.loadBalancerInfo !== undefined &&
        input.loadBalancerInfo !== null && {
        loadBalancerInfo: serializeAws_json1_1LoadBalancerInfo(input.loadBalancerInfo, context),
    })), (input.onPremisesInstanceTagFilters !== undefined &&
        input.onPremisesInstanceTagFilters !== null && {
        onPremisesInstanceTagFilters: serializeAws_json1_1TagFilterList(input.onPremisesInstanceTagFilters, context),
    })), (input.onPremisesTagSet !== undefined &&
        input.onPremisesTagSet !== null && {
        onPremisesTagSet: serializeAws_json1_1OnPremisesTagSet(input.onPremisesTagSet, context),
    })), (input.outdatedInstancesStrategy !== undefined &&
        input.outdatedInstancesStrategy !== null && { outdatedInstancesStrategy: input.outdatedInstancesStrategy })), (input.serviceRoleArn !== undefined &&
        input.serviceRoleArn !== null && { serviceRoleArn: input.serviceRoleArn })), (input.tags !== undefined && input.tags !== null && { tags: serializeAws_json1_1TagList(input.tags, context) })), (input.triggerConfigurations !== undefined &&
        input.triggerConfigurations !== null && {
        triggerConfigurations: serializeAws_json1_1TriggerConfigList(input.triggerConfigurations, context),
    }));
};
var serializeAws_json1_1CreateDeploymentInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.autoRollbackConfiguration !== undefined &&
        input.autoRollbackConfiguration !== null && {
        autoRollbackConfiguration: serializeAws_json1_1AutoRollbackConfiguration(input.autoRollbackConfiguration, context),
    })), (input.deploymentConfigName !== undefined &&
        input.deploymentConfigName !== null && { deploymentConfigName: input.deploymentConfigName })), (input.deploymentGroupName !== undefined &&
        input.deploymentGroupName !== null && { deploymentGroupName: input.deploymentGroupName })), (input.description !== undefined && input.description !== null && { description: input.description })), (input.fileExistsBehavior !== undefined &&
        input.fileExistsBehavior !== null && { fileExistsBehavior: input.fileExistsBehavior })), (input.ignoreApplicationStopFailures !== undefined &&
        input.ignoreApplicationStopFailures !== null && {
        ignoreApplicationStopFailures: input.ignoreApplicationStopFailures,
    })), (input.revision !== undefined &&
        input.revision !== null && { revision: serializeAws_json1_1RevisionLocation(input.revision, context) })), (input.targetInstances !== undefined &&
        input.targetInstances !== null && {
        targetInstances: serializeAws_json1_1TargetInstances(input.targetInstances, context),
    })), (input.updateOutdatedInstancesOnly !== undefined &&
        input.updateOutdatedInstancesOnly !== null && { updateOutdatedInstancesOnly: input.updateOutdatedInstancesOnly }));
};
var serializeAws_json1_1DeleteApplicationInput = function (input, context) {
    return __assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName }));
};
var serializeAws_json1_1DeleteDeploymentConfigInput = function (input, context) {
    return __assign({}, (input.deploymentConfigName !== undefined &&
        input.deploymentConfigName !== null && { deploymentConfigName: input.deploymentConfigName }));
};
var serializeAws_json1_1DeleteDeploymentGroupInput = function (input, context) {
    return __assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.deploymentGroupName !== undefined &&
        input.deploymentGroupName !== null && { deploymentGroupName: input.deploymentGroupName }));
};
var serializeAws_json1_1DeleteGitHubAccountTokenInput = function (input, context) {
    return __assign({}, (input.tokenName !== undefined && input.tokenName !== null && { tokenName: input.tokenName }));
};
var serializeAws_json1_1DeleteResourcesByExternalIdInput = function (input, context) {
    return __assign({}, (input.externalId !== undefined && input.externalId !== null && { externalId: input.externalId }));
};
var serializeAws_json1_1DeploymentGroupsList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1DeploymentReadyOption = function (input, context) {
    return __assign(__assign({}, (input.actionOnTimeout !== undefined &&
        input.actionOnTimeout !== null && { actionOnTimeout: input.actionOnTimeout })), (input.waitTimeInMinutes !== undefined &&
        input.waitTimeInMinutes !== null && { waitTimeInMinutes: input.waitTimeInMinutes }));
};
var serializeAws_json1_1DeploymentsList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1DeploymentStatusList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1DeploymentStyle = function (input, context) {
    return __assign(__assign({}, (input.deploymentOption !== undefined &&
        input.deploymentOption !== null && { deploymentOption: input.deploymentOption })), (input.deploymentType !== undefined &&
        input.deploymentType !== null && { deploymentType: input.deploymentType }));
};
var serializeAws_json1_1DeregisterOnPremisesInstanceInput = function (input, context) {
    return __assign({}, (input.instanceName !== undefined && input.instanceName !== null && { instanceName: input.instanceName }));
};
var serializeAws_json1_1EC2TagFilter = function (input, context) {
    return __assign(__assign(__assign({}, (input.Key !== undefined && input.Key !== null && { Key: input.Key })), (input.Type !== undefined && input.Type !== null && { Type: input.Type })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1EC2TagFilterList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1EC2TagFilter(entry, context);
    });
};
var serializeAws_json1_1EC2TagSet = function (input, context) {
    return __assign({}, (input.ec2TagSetList !== undefined &&
        input.ec2TagSetList !== null && {
        ec2TagSetList: serializeAws_json1_1EC2TagSetList(input.ec2TagSetList, context),
    }));
};
var serializeAws_json1_1EC2TagSetList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1EC2TagFilterList(entry, context);
    });
};
var serializeAws_json1_1ECSService = function (input, context) {
    return __assign(__assign({}, (input.clusterName !== undefined && input.clusterName !== null && { clusterName: input.clusterName })), (input.serviceName !== undefined && input.serviceName !== null && { serviceName: input.serviceName }));
};
var serializeAws_json1_1ECSServiceList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ECSService(entry, context);
    });
};
var serializeAws_json1_1ELBInfo = function (input, context) {
    return __assign({}, (input.name !== undefined && input.name !== null && { name: input.name }));
};
var serializeAws_json1_1ELBInfoList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ELBInfo(entry, context);
    });
};
var serializeAws_json1_1FilterValueList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1GetApplicationInput = function (input, context) {
    return __assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName }));
};
var serializeAws_json1_1GetApplicationRevisionInput = function (input, context) {
    return __assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.revision !== undefined &&
        input.revision !== null && { revision: serializeAws_json1_1RevisionLocation(input.revision, context) }));
};
var serializeAws_json1_1GetDeploymentConfigInput = function (input, context) {
    return __assign({}, (input.deploymentConfigName !== undefined &&
        input.deploymentConfigName !== null && { deploymentConfigName: input.deploymentConfigName }));
};
var serializeAws_json1_1GetDeploymentGroupInput = function (input, context) {
    return __assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.deploymentGroupName !== undefined &&
        input.deploymentGroupName !== null && { deploymentGroupName: input.deploymentGroupName }));
};
var serializeAws_json1_1GetDeploymentInput = function (input, context) {
    return __assign({}, (input.deploymentId !== undefined && input.deploymentId !== null && { deploymentId: input.deploymentId }));
};
var serializeAws_json1_1GetDeploymentInstanceInput = function (input, context) {
    return __assign(__assign({}, (input.deploymentId !== undefined && input.deploymentId !== null && { deploymentId: input.deploymentId })), (input.instanceId !== undefined && input.instanceId !== null && { instanceId: input.instanceId }));
};
var serializeAws_json1_1GetDeploymentTargetInput = function (input, context) {
    return __assign(__assign({}, (input.deploymentId !== undefined && input.deploymentId !== null && { deploymentId: input.deploymentId })), (input.targetId !== undefined && input.targetId !== null && { targetId: input.targetId }));
};
var serializeAws_json1_1GetOnPremisesInstanceInput = function (input, context) {
    return __assign({}, (input.instanceName !== undefined && input.instanceName !== null && { instanceName: input.instanceName }));
};
var serializeAws_json1_1GitHubLocation = function (input, context) {
    return __assign(__assign({}, (input.commitId !== undefined && input.commitId !== null && { commitId: input.commitId })), (input.repository !== undefined && input.repository !== null && { repository: input.repository }));
};
var serializeAws_json1_1GreenFleetProvisioningOption = function (input, context) {
    return __assign({}, (input.action !== undefined && input.action !== null && { action: input.action }));
};
var serializeAws_json1_1InstanceNameList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1InstancesList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1InstanceStatusList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1InstanceTypeList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ListApplicationRevisionsInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.deployed !== undefined && input.deployed !== null && { deployed: input.deployed })), (input.nextToken !== undefined && input.nextToken !== null && { nextToken: input.nextToken })), (input.s3Bucket !== undefined && input.s3Bucket !== null && { s3Bucket: input.s3Bucket })), (input.s3KeyPrefix !== undefined && input.s3KeyPrefix !== null && { s3KeyPrefix: input.s3KeyPrefix })), (input.sortBy !== undefined && input.sortBy !== null && { sortBy: input.sortBy })), (input.sortOrder !== undefined && input.sortOrder !== null && { sortOrder: input.sortOrder }));
};
var serializeAws_json1_1ListApplicationsInput = function (input, context) {
    return __assign({}, (input.nextToken !== undefined && input.nextToken !== null && { nextToken: input.nextToken }));
};
var serializeAws_json1_1ListDeploymentConfigsInput = function (input, context) {
    return __assign({}, (input.nextToken !== undefined && input.nextToken !== null && { nextToken: input.nextToken }));
};
var serializeAws_json1_1ListDeploymentGroupsInput = function (input, context) {
    return __assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.nextToken !== undefined && input.nextToken !== null && { nextToken: input.nextToken }));
};
var serializeAws_json1_1ListDeploymentInstancesInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.deploymentId !== undefined && input.deploymentId !== null && { deploymentId: input.deploymentId })), (input.instanceStatusFilter !== undefined &&
        input.instanceStatusFilter !== null && {
        instanceStatusFilter: serializeAws_json1_1InstanceStatusList(input.instanceStatusFilter, context),
    })), (input.instanceTypeFilter !== undefined &&
        input.instanceTypeFilter !== null && {
        instanceTypeFilter: serializeAws_json1_1InstanceTypeList(input.instanceTypeFilter, context),
    })), (input.nextToken !== undefined && input.nextToken !== null && { nextToken: input.nextToken }));
};
var serializeAws_json1_1ListDeploymentsInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.createTimeRange !== undefined &&
        input.createTimeRange !== null && {
        createTimeRange: serializeAws_json1_1TimeRange(input.createTimeRange, context),
    })), (input.deploymentGroupName !== undefined &&
        input.deploymentGroupName !== null && { deploymentGroupName: input.deploymentGroupName })), (input.externalId !== undefined && input.externalId !== null && { externalId: input.externalId })), (input.includeOnlyStatuses !== undefined &&
        input.includeOnlyStatuses !== null && {
        includeOnlyStatuses: serializeAws_json1_1DeploymentStatusList(input.includeOnlyStatuses, context),
    })), (input.nextToken !== undefined && input.nextToken !== null && { nextToken: input.nextToken }));
};
var serializeAws_json1_1ListDeploymentTargetsInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.deploymentId !== undefined && input.deploymentId !== null && { deploymentId: input.deploymentId })), (input.nextToken !== undefined && input.nextToken !== null && { nextToken: input.nextToken })), (input.targetFilters !== undefined &&
        input.targetFilters !== null && {
        targetFilters: serializeAws_json1_1TargetFilters(input.targetFilters, context),
    }));
};
var serializeAws_json1_1ListenerArnList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ListGitHubAccountTokenNamesInput = function (input, context) {
    return __assign({}, (input.nextToken !== undefined && input.nextToken !== null && { nextToken: input.nextToken }));
};
var serializeAws_json1_1ListOnPremisesInstancesInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.nextToken !== undefined && input.nextToken !== null && { nextToken: input.nextToken })), (input.registrationStatus !== undefined &&
        input.registrationStatus !== null && { registrationStatus: input.registrationStatus })), (input.tagFilters !== undefined &&
        input.tagFilters !== null && { tagFilters: serializeAws_json1_1TagFilterList(input.tagFilters, context) }));
};
var serializeAws_json1_1ListTagsForResourceInput = function (input, context) {
    return __assign(__assign({}, (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.ResourceArn !== undefined && input.ResourceArn !== null && { ResourceArn: input.ResourceArn }));
};
var serializeAws_json1_1LoadBalancerInfo = function (input, context) {
    return __assign(__assign(__assign({}, (input.elbInfoList !== undefined &&
        input.elbInfoList !== null && { elbInfoList: serializeAws_json1_1ELBInfoList(input.elbInfoList, context) })), (input.targetGroupInfoList !== undefined &&
        input.targetGroupInfoList !== null && {
        targetGroupInfoList: serializeAws_json1_1TargetGroupInfoList(input.targetGroupInfoList, context),
    })), (input.targetGroupPairInfoList !== undefined &&
        input.targetGroupPairInfoList !== null && {
        targetGroupPairInfoList: serializeAws_json1_1TargetGroupPairInfoList(input.targetGroupPairInfoList, context),
    }));
};
var serializeAws_json1_1MinimumHealthyHosts = function (input, context) {
    return __assign(__assign({}, (input.type !== undefined && input.type !== null && { type: input.type })), (input.value !== undefined && input.value !== null && { value: input.value }));
};
var serializeAws_json1_1OnPremisesTagSet = function (input, context) {
    return __assign({}, (input.onPremisesTagSetList !== undefined &&
        input.onPremisesTagSetList !== null && {
        onPremisesTagSetList: serializeAws_json1_1OnPremisesTagSetList(input.onPremisesTagSetList, context),
    }));
};
var serializeAws_json1_1OnPremisesTagSetList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1TagFilterList(entry, context);
    });
};
var serializeAws_json1_1PutLifecycleEventHookExecutionStatusInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.deploymentId !== undefined && input.deploymentId !== null && { deploymentId: input.deploymentId })), (input.lifecycleEventHookExecutionId !== undefined &&
        input.lifecycleEventHookExecutionId !== null && {
        lifecycleEventHookExecutionId: input.lifecycleEventHookExecutionId,
    })), (input.status !== undefined && input.status !== null && { status: input.status }));
};
var serializeAws_json1_1RawString = function (input, context) {
    return __assign(__assign({}, (input.content !== undefined && input.content !== null && { content: input.content })), (input.sha256 !== undefined && input.sha256 !== null && { sha256: input.sha256 }));
};
var serializeAws_json1_1RegisterApplicationRevisionInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.description !== undefined && input.description !== null && { description: input.description })), (input.revision !== undefined &&
        input.revision !== null && { revision: serializeAws_json1_1RevisionLocation(input.revision, context) }));
};
var serializeAws_json1_1RegisterOnPremisesInstanceInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.iamSessionArn !== undefined && input.iamSessionArn !== null && { iamSessionArn: input.iamSessionArn })), (input.iamUserArn !== undefined && input.iamUserArn !== null && { iamUserArn: input.iamUserArn })), (input.instanceName !== undefined && input.instanceName !== null && { instanceName: input.instanceName }));
};
var serializeAws_json1_1RemoveTagsFromOnPremisesInstancesInput = function (input, context) {
    return __assign(__assign({}, (input.instanceNames !== undefined &&
        input.instanceNames !== null && {
        instanceNames: serializeAws_json1_1InstanceNameList(input.instanceNames, context),
    })), (input.tags !== undefined && input.tags !== null && { tags: serializeAws_json1_1TagList(input.tags, context) }));
};
var serializeAws_json1_1RevisionLocation = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.appSpecContent !== undefined &&
        input.appSpecContent !== null && {
        appSpecContent: serializeAws_json1_1AppSpecContent(input.appSpecContent, context),
    })), (input.gitHubLocation !== undefined &&
        input.gitHubLocation !== null && {
        gitHubLocation: serializeAws_json1_1GitHubLocation(input.gitHubLocation, context),
    })), (input.revisionType !== undefined && input.revisionType !== null && { revisionType: input.revisionType })), (input.s3Location !== undefined &&
        input.s3Location !== null && { s3Location: serializeAws_json1_1S3Location(input.s3Location, context) })), (input.string !== undefined &&
        input.string !== null && { string: serializeAws_json1_1RawString(input.string, context) }));
};
var serializeAws_json1_1RevisionLocationList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1RevisionLocation(entry, context);
    });
};
var serializeAws_json1_1S3Location = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.bucket !== undefined && input.bucket !== null && { bucket: input.bucket })), (input.bundleType !== undefined && input.bundleType !== null && { bundleType: input.bundleType })), (input.eTag !== undefined && input.eTag !== null && { eTag: input.eTag })), (input.key !== undefined && input.key !== null && { key: input.key })), (input.version !== undefined && input.version !== null && { version: input.version }));
};
var serializeAws_json1_1SkipWaitTimeForInstanceTerminationInput = function (input, context) {
    return __assign({}, (input.deploymentId !== undefined && input.deploymentId !== null && { deploymentId: input.deploymentId }));
};
var serializeAws_json1_1StopDeploymentInput = function (input, context) {
    return __assign(__assign({}, (input.autoRollbackEnabled !== undefined &&
        input.autoRollbackEnabled !== null && { autoRollbackEnabled: input.autoRollbackEnabled })), (input.deploymentId !== undefined && input.deploymentId !== null && { deploymentId: input.deploymentId }));
};
var serializeAws_json1_1Tag = function (input, context) {
    return __assign(__assign({}, (input.Key !== undefined && input.Key !== null && { Key: input.Key })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1TagFilter = function (input, context) {
    return __assign(__assign(__assign({}, (input.Key !== undefined && input.Key !== null && { Key: input.Key })), (input.Type !== undefined && input.Type !== null && { Type: input.Type })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1TagFilterList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1TagFilter(entry, context);
    });
};
var serializeAws_json1_1TagKeyList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1TagList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1Tag(entry, context);
    });
};
var serializeAws_json1_1TagResourceInput = function (input, context) {
    return __assign(__assign({}, (input.ResourceArn !== undefined && input.ResourceArn !== null && { ResourceArn: input.ResourceArn })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1TargetFilters = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = serializeAws_json1_1FilterValueList(value, context), _b));
    }, {});
};
var serializeAws_json1_1TargetGroupInfo = function (input, context) {
    return __assign({}, (input.name !== undefined && input.name !== null && { name: input.name }));
};
var serializeAws_json1_1TargetGroupInfoList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1TargetGroupInfo(entry, context);
    });
};
var serializeAws_json1_1TargetGroupPairInfo = function (input, context) {
    return __assign(__assign(__assign({}, (input.prodTrafficRoute !== undefined &&
        input.prodTrafficRoute !== null && {
        prodTrafficRoute: serializeAws_json1_1TrafficRoute(input.prodTrafficRoute, context),
    })), (input.targetGroups !== undefined &&
        input.targetGroups !== null && {
        targetGroups: serializeAws_json1_1TargetGroupInfoList(input.targetGroups, context),
    })), (input.testTrafficRoute !== undefined &&
        input.testTrafficRoute !== null && {
        testTrafficRoute: serializeAws_json1_1TrafficRoute(input.testTrafficRoute, context),
    }));
};
var serializeAws_json1_1TargetGroupPairInfoList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1TargetGroupPairInfo(entry, context);
    });
};
var serializeAws_json1_1TargetIdList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1TargetInstances = function (input, context) {
    return __assign(__assign(__assign({}, (input.autoScalingGroups !== undefined &&
        input.autoScalingGroups !== null && {
        autoScalingGroups: serializeAws_json1_1AutoScalingGroupNameList(input.autoScalingGroups, context),
    })), (input.ec2TagSet !== undefined &&
        input.ec2TagSet !== null && { ec2TagSet: serializeAws_json1_1EC2TagSet(input.ec2TagSet, context) })), (input.tagFilters !== undefined &&
        input.tagFilters !== null && { tagFilters: serializeAws_json1_1EC2TagFilterList(input.tagFilters, context) }));
};
var serializeAws_json1_1TimeBasedCanary = function (input, context) {
    return __assign(__assign({}, (input.canaryInterval !== undefined &&
        input.canaryInterval !== null && { canaryInterval: input.canaryInterval })), (input.canaryPercentage !== undefined &&
        input.canaryPercentage !== null && { canaryPercentage: input.canaryPercentage }));
};
var serializeAws_json1_1TimeBasedLinear = function (input, context) {
    return __assign(__assign({}, (input.linearInterval !== undefined &&
        input.linearInterval !== null && { linearInterval: input.linearInterval })), (input.linearPercentage !== undefined &&
        input.linearPercentage !== null && { linearPercentage: input.linearPercentage }));
};
var serializeAws_json1_1TimeRange = function (input, context) {
    return __assign(__assign({}, (input.end !== undefined && input.end !== null && { end: Math.round(input.end.getTime() / 1000) })), (input.start !== undefined && input.start !== null && { start: Math.round(input.start.getTime() / 1000) }));
};
var serializeAws_json1_1TrafficRoute = function (input, context) {
    return __assign({}, (input.listenerArns !== undefined &&
        input.listenerArns !== null && {
        listenerArns: serializeAws_json1_1ListenerArnList(input.listenerArns, context),
    }));
};
var serializeAws_json1_1TrafficRoutingConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.timeBasedCanary !== undefined &&
        input.timeBasedCanary !== null && {
        timeBasedCanary: serializeAws_json1_1TimeBasedCanary(input.timeBasedCanary, context),
    })), (input.timeBasedLinear !== undefined &&
        input.timeBasedLinear !== null && {
        timeBasedLinear: serializeAws_json1_1TimeBasedLinear(input.timeBasedLinear, context),
    })), (input.type !== undefined && input.type !== null && { type: input.type }));
};
var serializeAws_json1_1TriggerConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.triggerEvents !== undefined &&
        input.triggerEvents !== null && {
        triggerEvents: serializeAws_json1_1TriggerEventTypeList(input.triggerEvents, context),
    })), (input.triggerName !== undefined && input.triggerName !== null && { triggerName: input.triggerName })), (input.triggerTargetArn !== undefined &&
        input.triggerTargetArn !== null && { triggerTargetArn: input.triggerTargetArn }));
};
var serializeAws_json1_1TriggerConfigList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1TriggerConfig(entry, context);
    });
};
var serializeAws_json1_1TriggerEventTypeList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1UntagResourceInput = function (input, context) {
    return __assign(__assign({}, (input.ResourceArn !== undefined && input.ResourceArn !== null && { ResourceArn: input.ResourceArn })), (input.TagKeys !== undefined &&
        input.TagKeys !== null && { TagKeys: serializeAws_json1_1TagKeyList(input.TagKeys, context) }));
};
var serializeAws_json1_1UpdateApplicationInput = function (input, context) {
    return __assign(__assign({}, (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.newApplicationName !== undefined &&
        input.newApplicationName !== null && { newApplicationName: input.newApplicationName }));
};
var serializeAws_json1_1UpdateDeploymentGroupInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.alarmConfiguration !== undefined &&
        input.alarmConfiguration !== null && {
        alarmConfiguration: serializeAws_json1_1AlarmConfiguration(input.alarmConfiguration, context),
    })), (input.applicationName !== undefined &&
        input.applicationName !== null && { applicationName: input.applicationName })), (input.autoRollbackConfiguration !== undefined &&
        input.autoRollbackConfiguration !== null && {
        autoRollbackConfiguration: serializeAws_json1_1AutoRollbackConfiguration(input.autoRollbackConfiguration, context),
    })), (input.autoScalingGroups !== undefined &&
        input.autoScalingGroups !== null && {
        autoScalingGroups: serializeAws_json1_1AutoScalingGroupNameList(input.autoScalingGroups, context),
    })), (input.blueGreenDeploymentConfiguration !== undefined &&
        input.blueGreenDeploymentConfiguration !== null && {
        blueGreenDeploymentConfiguration: serializeAws_json1_1BlueGreenDeploymentConfiguration(input.blueGreenDeploymentConfiguration, context),
    })), (input.currentDeploymentGroupName !== undefined &&
        input.currentDeploymentGroupName !== null && { currentDeploymentGroupName: input.currentDeploymentGroupName })), (input.deploymentConfigName !== undefined &&
        input.deploymentConfigName !== null && { deploymentConfigName: input.deploymentConfigName })), (input.deploymentStyle !== undefined &&
        input.deploymentStyle !== null && {
        deploymentStyle: serializeAws_json1_1DeploymentStyle(input.deploymentStyle, context),
    })), (input.ec2TagFilters !== undefined &&
        input.ec2TagFilters !== null && {
        ec2TagFilters: serializeAws_json1_1EC2TagFilterList(input.ec2TagFilters, context),
    })), (input.ec2TagSet !== undefined &&
        input.ec2TagSet !== null && { ec2TagSet: serializeAws_json1_1EC2TagSet(input.ec2TagSet, context) })), (input.ecsServices !== undefined &&
        input.ecsServices !== null && { ecsServices: serializeAws_json1_1ECSServiceList(input.ecsServices, context) })), (input.loadBalancerInfo !== undefined &&
        input.loadBalancerInfo !== null && {
        loadBalancerInfo: serializeAws_json1_1LoadBalancerInfo(input.loadBalancerInfo, context),
    })), (input.newDeploymentGroupName !== undefined &&
        input.newDeploymentGroupName !== null && { newDeploymentGroupName: input.newDeploymentGroupName })), (input.onPremisesInstanceTagFilters !== undefined &&
        input.onPremisesInstanceTagFilters !== null && {
        onPremisesInstanceTagFilters: serializeAws_json1_1TagFilterList(input.onPremisesInstanceTagFilters, context),
    })), (input.onPremisesTagSet !== undefined &&
        input.onPremisesTagSet !== null && {
        onPremisesTagSet: serializeAws_json1_1OnPremisesTagSet(input.onPremisesTagSet, context),
    })), (input.outdatedInstancesStrategy !== undefined &&
        input.outdatedInstancesStrategy !== null && { outdatedInstancesStrategy: input.outdatedInstancesStrategy })), (input.serviceRoleArn !== undefined &&
        input.serviceRoleArn !== null && { serviceRoleArn: input.serviceRoleArn })), (input.triggerConfigurations !== undefined &&
        input.triggerConfigurations !== null && {
        triggerConfigurations: serializeAws_json1_1TriggerConfigList(input.triggerConfigurations, context),
    }));
};
var deserializeAws_json1_1Alarm = function (output, context) {
    return {
        name: __expectString(output.name),
    };
};
var deserializeAws_json1_1AlarmConfiguration = function (output, context) {
    return {
        alarms: output.alarms !== undefined && output.alarms !== null
            ? deserializeAws_json1_1AlarmList(output.alarms, context)
            : undefined,
        enabled: __expectBoolean(output.enabled),
        ignorePollAlarmFailure: __expectBoolean(output.ignorePollAlarmFailure),
    };
};
var deserializeAws_json1_1AlarmList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Alarm(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AlarmsLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ApplicationAlreadyExistsException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ApplicationDoesNotExistException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ApplicationInfo = function (output, context) {
    return {
        applicationId: __expectString(output.applicationId),
        applicationName: __expectString(output.applicationName),
        computePlatform: __expectString(output.computePlatform),
        createTime: output.createTime !== undefined && output.createTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.createTime)))
            : undefined,
        gitHubAccountName: __expectString(output.gitHubAccountName),
        linkedToGitHub: __expectBoolean(output.linkedToGitHub),
    };
};
var deserializeAws_json1_1ApplicationLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ApplicationNameRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ApplicationsInfoList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ApplicationInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ApplicationsList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1AppSpecContent = function (output, context) {
    return {
        content: __expectString(output.content),
        sha256: __expectString(output.sha256),
    };
};
var deserializeAws_json1_1ArnNotSupportedException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1AutoRollbackConfiguration = function (output, context) {
    return {
        enabled: __expectBoolean(output.enabled),
        events: output.events !== undefined && output.events !== null
            ? deserializeAws_json1_1AutoRollbackEventsList(output.events, context)
            : undefined,
    };
};
var deserializeAws_json1_1AutoRollbackEventsList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1AutoScalingGroup = function (output, context) {
    return {
        hook: __expectString(output.hook),
        name: __expectString(output.name),
    };
};
var deserializeAws_json1_1AutoScalingGroupList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AutoScalingGroup(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AutoScalingGroupNameList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1BatchGetApplicationRevisionsOutput = function (output, context) {
    return {
        applicationName: __expectString(output.applicationName),
        errorMessage: __expectString(output.errorMessage),
        revisions: output.revisions !== undefined && output.revisions !== null
            ? deserializeAws_json1_1RevisionInfoList(output.revisions, context)
            : undefined,
    };
};
var deserializeAws_json1_1BatchGetApplicationsOutput = function (output, context) {
    return {
        applicationsInfo: output.applicationsInfo !== undefined && output.applicationsInfo !== null
            ? deserializeAws_json1_1ApplicationsInfoList(output.applicationsInfo, context)
            : undefined,
    };
};
var deserializeAws_json1_1BatchGetDeploymentGroupsOutput = function (output, context) {
    return {
        deploymentGroupsInfo: output.deploymentGroupsInfo !== undefined && output.deploymentGroupsInfo !== null
            ? deserializeAws_json1_1DeploymentGroupInfoList(output.deploymentGroupsInfo, context)
            : undefined,
        errorMessage: __expectString(output.errorMessage),
    };
};
var deserializeAws_json1_1BatchGetDeploymentInstancesOutput = function (output, context) {
    return {
        errorMessage: __expectString(output.errorMessage),
        instancesSummary: output.instancesSummary !== undefined && output.instancesSummary !== null
            ? deserializeAws_json1_1InstanceSummaryList(output.instancesSummary, context)
            : undefined,
    };
};
var deserializeAws_json1_1BatchGetDeploymentsOutput = function (output, context) {
    return {
        deploymentsInfo: output.deploymentsInfo !== undefined && output.deploymentsInfo !== null
            ? deserializeAws_json1_1DeploymentsInfoList(output.deploymentsInfo, context)
            : undefined,
    };
};
var deserializeAws_json1_1BatchGetDeploymentTargetsOutput = function (output, context) {
    return {
        deploymentTargets: output.deploymentTargets !== undefined && output.deploymentTargets !== null
            ? deserializeAws_json1_1DeploymentTargetList(output.deploymentTargets, context)
            : undefined,
    };
};
var deserializeAws_json1_1BatchGetOnPremisesInstancesOutput = function (output, context) {
    return {
        instanceInfos: output.instanceInfos !== undefined && output.instanceInfos !== null
            ? deserializeAws_json1_1InstanceInfoList(output.instanceInfos, context)
            : undefined,
    };
};
var deserializeAws_json1_1BatchLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1BlueGreenDeploymentConfiguration = function (output, context) {
    return {
        deploymentReadyOption: output.deploymentReadyOption !== undefined && output.deploymentReadyOption !== null
            ? deserializeAws_json1_1DeploymentReadyOption(output.deploymentReadyOption, context)
            : undefined,
        greenFleetProvisioningOption: output.greenFleetProvisioningOption !== undefined && output.greenFleetProvisioningOption !== null
            ? deserializeAws_json1_1GreenFleetProvisioningOption(output.greenFleetProvisioningOption, context)
            : undefined,
        terminateBlueInstancesOnDeploymentSuccess: output.terminateBlueInstancesOnDeploymentSuccess !== undefined &&
            output.terminateBlueInstancesOnDeploymentSuccess !== null
            ? deserializeAws_json1_1BlueInstanceTerminationOption(output.terminateBlueInstancesOnDeploymentSuccess, context)
            : undefined,
    };
};
var deserializeAws_json1_1BlueInstanceTerminationOption = function (output, context) {
    return {
        action: __expectString(output.action),
        terminationWaitTimeInMinutes: __expectInt32(output.terminationWaitTimeInMinutes),
    };
};
var deserializeAws_json1_1BucketNameFilterRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1CloudFormationTarget = function (output, context) {
    return {
        deploymentId: __expectString(output.deploymentId),
        lastUpdatedAt: output.lastUpdatedAt !== undefined && output.lastUpdatedAt !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastUpdatedAt)))
            : undefined,
        lifecycleEvents: output.lifecycleEvents !== undefined && output.lifecycleEvents !== null
            ? deserializeAws_json1_1LifecycleEventList(output.lifecycleEvents, context)
            : undefined,
        resourceType: __expectString(output.resourceType),
        status: __expectString(output.status),
        targetId: __expectString(output.targetId),
        targetVersionWeight: __limitedParseDouble(output.targetVersionWeight),
    };
};
var deserializeAws_json1_1CreateApplicationOutput = function (output, context) {
    return {
        applicationId: __expectString(output.applicationId),
    };
};
var deserializeAws_json1_1CreateDeploymentConfigOutput = function (output, context) {
    return {
        deploymentConfigId: __expectString(output.deploymentConfigId),
    };
};
var deserializeAws_json1_1CreateDeploymentGroupOutput = function (output, context) {
    return {
        deploymentGroupId: __expectString(output.deploymentGroupId),
    };
};
var deserializeAws_json1_1CreateDeploymentOutput = function (output, context) {
    return {
        deploymentId: __expectString(output.deploymentId),
    };
};
var deserializeAws_json1_1DeleteDeploymentGroupOutput = function (output, context) {
    return {
        hooksNotCleanedUp: output.hooksNotCleanedUp !== undefined && output.hooksNotCleanedUp !== null
            ? deserializeAws_json1_1AutoScalingGroupList(output.hooksNotCleanedUp, context)
            : undefined,
    };
};
var deserializeAws_json1_1DeleteGitHubAccountTokenOutput = function (output, context) {
    return {
        tokenName: __expectString(output.tokenName),
    };
};
var deserializeAws_json1_1DeleteResourcesByExternalIdOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1DeploymentAlreadyCompletedException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentConfigAlreadyExistsException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentConfigDoesNotExistException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentConfigInfo = function (output, context) {
    return {
        computePlatform: __expectString(output.computePlatform),
        createTime: output.createTime !== undefined && output.createTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.createTime)))
            : undefined,
        deploymentConfigId: __expectString(output.deploymentConfigId),
        deploymentConfigName: __expectString(output.deploymentConfigName),
        minimumHealthyHosts: output.minimumHealthyHosts !== undefined && output.minimumHealthyHosts !== null
            ? deserializeAws_json1_1MinimumHealthyHosts(output.minimumHealthyHosts, context)
            : undefined,
        trafficRoutingConfig: output.trafficRoutingConfig !== undefined && output.trafficRoutingConfig !== null
            ? deserializeAws_json1_1TrafficRoutingConfig(output.trafficRoutingConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1DeploymentConfigInUseException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentConfigLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentConfigNameRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentConfigsList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1DeploymentDoesNotExistException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentGroupAlreadyExistsException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentGroupDoesNotExistException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentGroupInfo = function (output, context) {
    return {
        alarmConfiguration: output.alarmConfiguration !== undefined && output.alarmConfiguration !== null
            ? deserializeAws_json1_1AlarmConfiguration(output.alarmConfiguration, context)
            : undefined,
        applicationName: __expectString(output.applicationName),
        autoRollbackConfiguration: output.autoRollbackConfiguration !== undefined && output.autoRollbackConfiguration !== null
            ? deserializeAws_json1_1AutoRollbackConfiguration(output.autoRollbackConfiguration, context)
            : undefined,
        autoScalingGroups: output.autoScalingGroups !== undefined && output.autoScalingGroups !== null
            ? deserializeAws_json1_1AutoScalingGroupList(output.autoScalingGroups, context)
            : undefined,
        blueGreenDeploymentConfiguration: output.blueGreenDeploymentConfiguration !== undefined && output.blueGreenDeploymentConfiguration !== null
            ? deserializeAws_json1_1BlueGreenDeploymentConfiguration(output.blueGreenDeploymentConfiguration, context)
            : undefined,
        computePlatform: __expectString(output.computePlatform),
        deploymentConfigName: __expectString(output.deploymentConfigName),
        deploymentGroupId: __expectString(output.deploymentGroupId),
        deploymentGroupName: __expectString(output.deploymentGroupName),
        deploymentStyle: output.deploymentStyle !== undefined && output.deploymentStyle !== null
            ? deserializeAws_json1_1DeploymentStyle(output.deploymentStyle, context)
            : undefined,
        ec2TagFilters: output.ec2TagFilters !== undefined && output.ec2TagFilters !== null
            ? deserializeAws_json1_1EC2TagFilterList(output.ec2TagFilters, context)
            : undefined,
        ec2TagSet: output.ec2TagSet !== undefined && output.ec2TagSet !== null
            ? deserializeAws_json1_1EC2TagSet(output.ec2TagSet, context)
            : undefined,
        ecsServices: output.ecsServices !== undefined && output.ecsServices !== null
            ? deserializeAws_json1_1ECSServiceList(output.ecsServices, context)
            : undefined,
        lastAttemptedDeployment: output.lastAttemptedDeployment !== undefined && output.lastAttemptedDeployment !== null
            ? deserializeAws_json1_1LastDeploymentInfo(output.lastAttemptedDeployment, context)
            : undefined,
        lastSuccessfulDeployment: output.lastSuccessfulDeployment !== undefined && output.lastSuccessfulDeployment !== null
            ? deserializeAws_json1_1LastDeploymentInfo(output.lastSuccessfulDeployment, context)
            : undefined,
        loadBalancerInfo: output.loadBalancerInfo !== undefined && output.loadBalancerInfo !== null
            ? deserializeAws_json1_1LoadBalancerInfo(output.loadBalancerInfo, context)
            : undefined,
        onPremisesInstanceTagFilters: output.onPremisesInstanceTagFilters !== undefined && output.onPremisesInstanceTagFilters !== null
            ? deserializeAws_json1_1TagFilterList(output.onPremisesInstanceTagFilters, context)
            : undefined,
        onPremisesTagSet: output.onPremisesTagSet !== undefined && output.onPremisesTagSet !== null
            ? deserializeAws_json1_1OnPremisesTagSet(output.onPremisesTagSet, context)
            : undefined,
        outdatedInstancesStrategy: __expectString(output.outdatedInstancesStrategy),
        serviceRoleArn: __expectString(output.serviceRoleArn),
        targetRevision: output.targetRevision !== undefined && output.targetRevision !== null
            ? deserializeAws_json1_1RevisionLocation(output.targetRevision, context)
            : undefined,
        triggerConfigurations: output.triggerConfigurations !== undefined && output.triggerConfigurations !== null
            ? deserializeAws_json1_1TriggerConfigList(output.triggerConfigurations, context)
            : undefined,
    };
};
var deserializeAws_json1_1DeploymentGroupInfoList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1DeploymentGroupInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1DeploymentGroupLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentGroupNameRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentGroupsList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1DeploymentIdRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentInfo = function (output, context) {
    return {
        additionalDeploymentStatusInfo: __expectString(output.additionalDeploymentStatusInfo),
        applicationName: __expectString(output.applicationName),
        autoRollbackConfiguration: output.autoRollbackConfiguration !== undefined && output.autoRollbackConfiguration !== null
            ? deserializeAws_json1_1AutoRollbackConfiguration(output.autoRollbackConfiguration, context)
            : undefined,
        blueGreenDeploymentConfiguration: output.blueGreenDeploymentConfiguration !== undefined && output.blueGreenDeploymentConfiguration !== null
            ? deserializeAws_json1_1BlueGreenDeploymentConfiguration(output.blueGreenDeploymentConfiguration, context)
            : undefined,
        completeTime: output.completeTime !== undefined && output.completeTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.completeTime)))
            : undefined,
        computePlatform: __expectString(output.computePlatform),
        createTime: output.createTime !== undefined && output.createTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.createTime)))
            : undefined,
        creator: __expectString(output.creator),
        deploymentConfigName: __expectString(output.deploymentConfigName),
        deploymentGroupName: __expectString(output.deploymentGroupName),
        deploymentId: __expectString(output.deploymentId),
        deploymentOverview: output.deploymentOverview !== undefined && output.deploymentOverview !== null
            ? deserializeAws_json1_1DeploymentOverview(output.deploymentOverview, context)
            : undefined,
        deploymentStatusMessages: output.deploymentStatusMessages !== undefined && output.deploymentStatusMessages !== null
            ? deserializeAws_json1_1DeploymentStatusMessageList(output.deploymentStatusMessages, context)
            : undefined,
        deploymentStyle: output.deploymentStyle !== undefined && output.deploymentStyle !== null
            ? deserializeAws_json1_1DeploymentStyle(output.deploymentStyle, context)
            : undefined,
        description: __expectString(output.description),
        errorInformation: output.errorInformation !== undefined && output.errorInformation !== null
            ? deserializeAws_json1_1ErrorInformation(output.errorInformation, context)
            : undefined,
        externalId: __expectString(output.externalId),
        fileExistsBehavior: __expectString(output.fileExistsBehavior),
        ignoreApplicationStopFailures: __expectBoolean(output.ignoreApplicationStopFailures),
        instanceTerminationWaitTimeStarted: __expectBoolean(output.instanceTerminationWaitTimeStarted),
        loadBalancerInfo: output.loadBalancerInfo !== undefined && output.loadBalancerInfo !== null
            ? deserializeAws_json1_1LoadBalancerInfo(output.loadBalancerInfo, context)
            : undefined,
        previousRevision: output.previousRevision !== undefined && output.previousRevision !== null
            ? deserializeAws_json1_1RevisionLocation(output.previousRevision, context)
            : undefined,
        relatedDeployments: output.relatedDeployments !== undefined && output.relatedDeployments !== null
            ? deserializeAws_json1_1RelatedDeployments(output.relatedDeployments, context)
            : undefined,
        revision: output.revision !== undefined && output.revision !== null
            ? deserializeAws_json1_1RevisionLocation(output.revision, context)
            : undefined,
        rollbackInfo: output.rollbackInfo !== undefined && output.rollbackInfo !== null
            ? deserializeAws_json1_1RollbackInfo(output.rollbackInfo, context)
            : undefined,
        startTime: output.startTime !== undefined && output.startTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.startTime)))
            : undefined,
        status: __expectString(output.status),
        targetInstances: output.targetInstances !== undefined && output.targetInstances !== null
            ? deserializeAws_json1_1TargetInstances(output.targetInstances, context)
            : undefined,
        updateOutdatedInstancesOnly: __expectBoolean(output.updateOutdatedInstancesOnly),
    };
};
var deserializeAws_json1_1DeploymentIsNotInReadyStateException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentNotStartedException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentOverview = function (output, context) {
    return {
        Failed: __expectLong(output.Failed),
        InProgress: __expectLong(output.InProgress),
        Pending: __expectLong(output.Pending),
        Ready: __expectLong(output.Ready),
        Skipped: __expectLong(output.Skipped),
        Succeeded: __expectLong(output.Succeeded),
    };
};
var deserializeAws_json1_1DeploymentReadyOption = function (output, context) {
    return {
        actionOnTimeout: __expectString(output.actionOnTimeout),
        waitTimeInMinutes: __expectInt32(output.waitTimeInMinutes),
    };
};
var deserializeAws_json1_1DeploymentsInfoList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1DeploymentInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1DeploymentsList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1DeploymentStatusMessageList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1DeploymentStyle = function (output, context) {
    return {
        deploymentOption: __expectString(output.deploymentOption),
        deploymentType: __expectString(output.deploymentType),
    };
};
var deserializeAws_json1_1DeploymentTarget = function (output, context) {
    return {
        cloudFormationTarget: output.cloudFormationTarget !== undefined && output.cloudFormationTarget !== null
            ? deserializeAws_json1_1CloudFormationTarget(output.cloudFormationTarget, context)
            : undefined,
        deploymentTargetType: __expectString(output.deploymentTargetType),
        ecsTarget: output.ecsTarget !== undefined && output.ecsTarget !== null
            ? deserializeAws_json1_1ECSTarget(output.ecsTarget, context)
            : undefined,
        instanceTarget: output.instanceTarget !== undefined && output.instanceTarget !== null
            ? deserializeAws_json1_1InstanceTarget(output.instanceTarget, context)
            : undefined,
        lambdaTarget: output.lambdaTarget !== undefined && output.lambdaTarget !== null
            ? deserializeAws_json1_1LambdaTarget(output.lambdaTarget, context)
            : undefined,
    };
};
var deserializeAws_json1_1DeploymentTargetDoesNotExistException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentTargetIdRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeploymentTargetList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1DeploymentTarget(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1DeploymentTargetListSizeExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DescriptionTooLongException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1Diagnostics = function (output, context) {
    return {
        errorCode: __expectString(output.errorCode),
        logTail: __expectString(output.logTail),
        message: __expectString(output.message),
        scriptName: __expectString(output.scriptName),
    };
};
var deserializeAws_json1_1EC2TagFilter = function (output, context) {
    return {
        Key: __expectString(output.Key),
        Type: __expectString(output.Type),
        Value: __expectString(output.Value),
    };
};
var deserializeAws_json1_1EC2TagFilterList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EC2TagFilter(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1EC2TagSet = function (output, context) {
    return {
        ec2TagSetList: output.ec2TagSetList !== undefined && output.ec2TagSetList !== null
            ? deserializeAws_json1_1EC2TagSetList(output.ec2TagSetList, context)
            : undefined,
    };
};
var deserializeAws_json1_1EC2TagSetList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EC2TagFilterList(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ECSService = function (output, context) {
    return {
        clusterName: __expectString(output.clusterName),
        serviceName: __expectString(output.serviceName),
    };
};
var deserializeAws_json1_1ECSServiceList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ECSService(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ECSServiceMappingLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ECSTarget = function (output, context) {
    return {
        deploymentId: __expectString(output.deploymentId),
        lastUpdatedAt: output.lastUpdatedAt !== undefined && output.lastUpdatedAt !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastUpdatedAt)))
            : undefined,
        lifecycleEvents: output.lifecycleEvents !== undefined && output.lifecycleEvents !== null
            ? deserializeAws_json1_1LifecycleEventList(output.lifecycleEvents, context)
            : undefined,
        status: __expectString(output.status),
        targetArn: __expectString(output.targetArn),
        targetId: __expectString(output.targetId),
        taskSetsInfo: output.taskSetsInfo !== undefined && output.taskSetsInfo !== null
            ? deserializeAws_json1_1ECSTaskSetList(output.taskSetsInfo, context)
            : undefined,
    };
};
var deserializeAws_json1_1ECSTaskSet = function (output, context) {
    return {
        desiredCount: __expectLong(output.desiredCount),
        identifer: __expectString(output.identifer),
        pendingCount: __expectLong(output.pendingCount),
        runningCount: __expectLong(output.runningCount),
        status: __expectString(output.status),
        targetGroup: output.targetGroup !== undefined && output.targetGroup !== null
            ? deserializeAws_json1_1TargetGroupInfo(output.targetGroup, context)
            : undefined,
        taskSetLabel: __expectString(output.taskSetLabel),
        trafficWeight: __limitedParseDouble(output.trafficWeight),
    };
};
var deserializeAws_json1_1ECSTaskSetList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ECSTaskSet(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ELBInfo = function (output, context) {
    return {
        name: __expectString(output.name),
    };
};
var deserializeAws_json1_1ELBInfoList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ELBInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ErrorInformation = function (output, context) {
    return {
        code: __expectString(output.code),
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1GenericRevisionInfo = function (output, context) {
    return {
        deploymentGroups: output.deploymentGroups !== undefined && output.deploymentGroups !== null
            ? deserializeAws_json1_1DeploymentGroupsList(output.deploymentGroups, context)
            : undefined,
        description: __expectString(output.description),
        firstUsedTime: output.firstUsedTime !== undefined && output.firstUsedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.firstUsedTime)))
            : undefined,
        lastUsedTime: output.lastUsedTime !== undefined && output.lastUsedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastUsedTime)))
            : undefined,
        registerTime: output.registerTime !== undefined && output.registerTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.registerTime)))
            : undefined,
    };
};
var deserializeAws_json1_1GetApplicationOutput = function (output, context) {
    return {
        application: output.application !== undefined && output.application !== null
            ? deserializeAws_json1_1ApplicationInfo(output.application, context)
            : undefined,
    };
};
var deserializeAws_json1_1GetApplicationRevisionOutput = function (output, context) {
    return {
        applicationName: __expectString(output.applicationName),
        revision: output.revision !== undefined && output.revision !== null
            ? deserializeAws_json1_1RevisionLocation(output.revision, context)
            : undefined,
        revisionInfo: output.revisionInfo !== undefined && output.revisionInfo !== null
            ? deserializeAws_json1_1GenericRevisionInfo(output.revisionInfo, context)
            : undefined,
    };
};
var deserializeAws_json1_1GetDeploymentConfigOutput = function (output, context) {
    return {
        deploymentConfigInfo: output.deploymentConfigInfo !== undefined && output.deploymentConfigInfo !== null
            ? deserializeAws_json1_1DeploymentConfigInfo(output.deploymentConfigInfo, context)
            : undefined,
    };
};
var deserializeAws_json1_1GetDeploymentGroupOutput = function (output, context) {
    return {
        deploymentGroupInfo: output.deploymentGroupInfo !== undefined && output.deploymentGroupInfo !== null
            ? deserializeAws_json1_1DeploymentGroupInfo(output.deploymentGroupInfo, context)
            : undefined,
    };
};
var deserializeAws_json1_1GetDeploymentInstanceOutput = function (output, context) {
    return {
        instanceSummary: output.instanceSummary !== undefined && output.instanceSummary !== null
            ? deserializeAws_json1_1InstanceSummary(output.instanceSummary, context)
            : undefined,
    };
};
var deserializeAws_json1_1GetDeploymentOutput = function (output, context) {
    return {
        deploymentInfo: output.deploymentInfo !== undefined && output.deploymentInfo !== null
            ? deserializeAws_json1_1DeploymentInfo(output.deploymentInfo, context)
            : undefined,
    };
};
var deserializeAws_json1_1GetDeploymentTargetOutput = function (output, context) {
    return {
        deploymentTarget: output.deploymentTarget !== undefined && output.deploymentTarget !== null
            ? deserializeAws_json1_1DeploymentTarget(output.deploymentTarget, context)
            : undefined,
    };
};
var deserializeAws_json1_1GetOnPremisesInstanceOutput = function (output, context) {
    return {
        instanceInfo: output.instanceInfo !== undefined && output.instanceInfo !== null
            ? deserializeAws_json1_1InstanceInfo(output.instanceInfo, context)
            : undefined,
    };
};
var deserializeAws_json1_1GitHubAccountTokenDoesNotExistException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1GitHubAccountTokenNameList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1GitHubAccountTokenNameRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1GitHubLocation = function (output, context) {
    return {
        commitId: __expectString(output.commitId),
        repository: __expectString(output.repository),
    };
};
var deserializeAws_json1_1GreenFleetProvisioningOption = function (output, context) {
    return {
        action: __expectString(output.action),
    };
};
var deserializeAws_json1_1IamArnRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1IamSessionArnAlreadyRegisteredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1IamUserArnAlreadyRegisteredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1IamUserArnRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InstanceDoesNotExistException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InstanceIdRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InstanceInfo = function (output, context) {
    return {
        deregisterTime: output.deregisterTime !== undefined && output.deregisterTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.deregisterTime)))
            : undefined,
        iamSessionArn: __expectString(output.iamSessionArn),
        iamUserArn: __expectString(output.iamUserArn),
        instanceArn: __expectString(output.instanceArn),
        instanceName: __expectString(output.instanceName),
        registerTime: output.registerTime !== undefined && output.registerTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.registerTime)))
            : undefined,
        tags: output.tags !== undefined && output.tags !== null
            ? deserializeAws_json1_1TagList(output.tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1InstanceInfoList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1InstanceInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1InstanceLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InstanceNameAlreadyRegisteredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InstanceNameList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1InstanceNameRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InstanceNotRegisteredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InstancesList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1InstanceSummary = function (output, context) {
    return {
        deploymentId: __expectString(output.deploymentId),
        instanceId: __expectString(output.instanceId),
        instanceType: __expectString(output.instanceType),
        lastUpdatedAt: output.lastUpdatedAt !== undefined && output.lastUpdatedAt !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastUpdatedAt)))
            : undefined,
        lifecycleEvents: output.lifecycleEvents !== undefined && output.lifecycleEvents !== null
            ? deserializeAws_json1_1LifecycleEventList(output.lifecycleEvents, context)
            : undefined,
        status: __expectString(output.status),
    };
};
var deserializeAws_json1_1InstanceSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1InstanceSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1InstanceTarget = function (output, context) {
    return {
        deploymentId: __expectString(output.deploymentId),
        instanceLabel: __expectString(output.instanceLabel),
        lastUpdatedAt: output.lastUpdatedAt !== undefined && output.lastUpdatedAt !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastUpdatedAt)))
            : undefined,
        lifecycleEvents: output.lifecycleEvents !== undefined && output.lifecycleEvents !== null
            ? deserializeAws_json1_1LifecycleEventList(output.lifecycleEvents, context)
            : undefined,
        status: __expectString(output.status),
        targetArn: __expectString(output.targetArn),
        targetId: __expectString(output.targetId),
    };
};
var deserializeAws_json1_1InvalidAlarmConfigException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidApplicationNameException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidArnException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidAutoRollbackConfigException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidAutoScalingGroupException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidBlueGreenDeploymentConfigurationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidBucketNameFilterException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidComputePlatformException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidDeployedStateFilterException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidDeploymentConfigNameException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidDeploymentGroupNameException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidDeploymentIdException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidDeploymentInstanceTypeException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidDeploymentStatusException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidDeploymentStyleException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidDeploymentTargetIdException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidDeploymentWaitTypeException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidEC2TagCombinationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidEC2TagException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidECSServiceException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidExternalIdException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidFileExistsBehaviorException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidGitHubAccountTokenException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidGitHubAccountTokenNameException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidIamSessionArnException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidIamUserArnException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidIgnoreApplicationStopFailuresValueException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidInputException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidInstanceNameException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidInstanceStatusException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidInstanceTypeException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidKeyPrefixFilterException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidLifecycleEventHookExecutionIdException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidLifecycleEventHookExecutionStatusException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidLoadBalancerInfoException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidMinimumHealthyHostValueException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidNextTokenException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidOnPremisesTagCombinationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidOperationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidRegistrationStatusException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidRevisionException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidRoleException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidSortByException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidSortOrderException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidTagException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidTagFilterException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidTagsToAddException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidTargetFilterNameException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidTargetGroupPairException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidTargetInstancesException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidTimeRangeException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidTrafficRoutingConfigurationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidTriggerConfigException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidUpdateOutdatedInstancesOnlyValueException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1LambdaFunctionInfo = function (output, context) {
    return {
        currentVersion: __expectString(output.currentVersion),
        functionAlias: __expectString(output.functionAlias),
        functionName: __expectString(output.functionName),
        targetVersion: __expectString(output.targetVersion),
        targetVersionWeight: __limitedParseDouble(output.targetVersionWeight),
    };
};
var deserializeAws_json1_1LambdaTarget = function (output, context) {
    return {
        deploymentId: __expectString(output.deploymentId),
        lambdaFunctionInfo: output.lambdaFunctionInfo !== undefined && output.lambdaFunctionInfo !== null
            ? deserializeAws_json1_1LambdaFunctionInfo(output.lambdaFunctionInfo, context)
            : undefined,
        lastUpdatedAt: output.lastUpdatedAt !== undefined && output.lastUpdatedAt !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastUpdatedAt)))
            : undefined,
        lifecycleEvents: output.lifecycleEvents !== undefined && output.lifecycleEvents !== null
            ? deserializeAws_json1_1LifecycleEventList(output.lifecycleEvents, context)
            : undefined,
        status: __expectString(output.status),
        targetArn: __expectString(output.targetArn),
        targetId: __expectString(output.targetId),
    };
};
var deserializeAws_json1_1LastDeploymentInfo = function (output, context) {
    return {
        createTime: output.createTime !== undefined && output.createTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.createTime)))
            : undefined,
        deploymentId: __expectString(output.deploymentId),
        endTime: output.endTime !== undefined && output.endTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.endTime)))
            : undefined,
        status: __expectString(output.status),
    };
};
var deserializeAws_json1_1LifecycleEvent = function (output, context) {
    return {
        diagnostics: output.diagnostics !== undefined && output.diagnostics !== null
            ? deserializeAws_json1_1Diagnostics(output.diagnostics, context)
            : undefined,
        endTime: output.endTime !== undefined && output.endTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.endTime)))
            : undefined,
        lifecycleEventName: __expectString(output.lifecycleEventName),
        startTime: output.startTime !== undefined && output.startTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.startTime)))
            : undefined,
        status: __expectString(output.status),
    };
};
var deserializeAws_json1_1LifecycleEventAlreadyCompletedException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1LifecycleEventList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1LifecycleEvent(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1LifecycleHookLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ListApplicationRevisionsOutput = function (output, context) {
    return {
        nextToken: __expectString(output.nextToken),
        revisions: output.revisions !== undefined && output.revisions !== null
            ? deserializeAws_json1_1RevisionLocationList(output.revisions, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListApplicationsOutput = function (output, context) {
    return {
        applications: output.applications !== undefined && output.applications !== null
            ? deserializeAws_json1_1ApplicationsList(output.applications, context)
            : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
var deserializeAws_json1_1ListDeploymentConfigsOutput = function (output, context) {
    return {
        deploymentConfigsList: output.deploymentConfigsList !== undefined && output.deploymentConfigsList !== null
            ? deserializeAws_json1_1DeploymentConfigsList(output.deploymentConfigsList, context)
            : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
var deserializeAws_json1_1ListDeploymentGroupsOutput = function (output, context) {
    return {
        applicationName: __expectString(output.applicationName),
        deploymentGroups: output.deploymentGroups !== undefined && output.deploymentGroups !== null
            ? deserializeAws_json1_1DeploymentGroupsList(output.deploymentGroups, context)
            : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
var deserializeAws_json1_1ListDeploymentInstancesOutput = function (output, context) {
    return {
        instancesList: output.instancesList !== undefined && output.instancesList !== null
            ? deserializeAws_json1_1InstancesList(output.instancesList, context)
            : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
var deserializeAws_json1_1ListDeploymentsOutput = function (output, context) {
    return {
        deployments: output.deployments !== undefined && output.deployments !== null
            ? deserializeAws_json1_1DeploymentsList(output.deployments, context)
            : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
var deserializeAws_json1_1ListDeploymentTargetsOutput = function (output, context) {
    return {
        nextToken: __expectString(output.nextToken),
        targetIds: output.targetIds !== undefined && output.targetIds !== null
            ? deserializeAws_json1_1TargetIdList(output.targetIds, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListenerArnList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1ListGitHubAccountTokenNamesOutput = function (output, context) {
    return {
        nextToken: __expectString(output.nextToken),
        tokenNameList: output.tokenNameList !== undefined && output.tokenNameList !== null
            ? deserializeAws_json1_1GitHubAccountTokenNameList(output.tokenNameList, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListOnPremisesInstancesOutput = function (output, context) {
    return {
        instanceNames: output.instanceNames !== undefined && output.instanceNames !== null
            ? deserializeAws_json1_1InstanceNameList(output.instanceNames, context)
            : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
var deserializeAws_json1_1ListTagsForResourceOutput = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1LoadBalancerInfo = function (output, context) {
    return {
        elbInfoList: output.elbInfoList !== undefined && output.elbInfoList !== null
            ? deserializeAws_json1_1ELBInfoList(output.elbInfoList, context)
            : undefined,
        targetGroupInfoList: output.targetGroupInfoList !== undefined && output.targetGroupInfoList !== null
            ? deserializeAws_json1_1TargetGroupInfoList(output.targetGroupInfoList, context)
            : undefined,
        targetGroupPairInfoList: output.targetGroupPairInfoList !== undefined && output.targetGroupPairInfoList !== null
            ? deserializeAws_json1_1TargetGroupPairInfoList(output.targetGroupPairInfoList, context)
            : undefined,
    };
};
var deserializeAws_json1_1MinimumHealthyHosts = function (output, context) {
    return {
        type: __expectString(output.type),
        value: __expectInt32(output.value),
    };
};
var deserializeAws_json1_1MultipleIamArnsProvidedException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1OnPremisesTagSet = function (output, context) {
    return {
        onPremisesTagSetList: output.onPremisesTagSetList !== undefined && output.onPremisesTagSetList !== null
            ? deserializeAws_json1_1OnPremisesTagSetList(output.onPremisesTagSetList, context)
            : undefined,
    };
};
var deserializeAws_json1_1OnPremisesTagSetList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TagFilterList(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1OperationNotSupportedException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1PutLifecycleEventHookExecutionStatusOutput = function (output, context) {
    return {
        lifecycleEventHookExecutionId: __expectString(output.lifecycleEventHookExecutionId),
    };
};
var deserializeAws_json1_1RawString = function (output, context) {
    return {
        content: __expectString(output.content),
        sha256: __expectString(output.sha256),
    };
};
var deserializeAws_json1_1RelatedDeployments = function (output, context) {
    return {
        autoUpdateOutdatedInstancesDeploymentIds: output.autoUpdateOutdatedInstancesDeploymentIds !== undefined &&
            output.autoUpdateOutdatedInstancesDeploymentIds !== null
            ? deserializeAws_json1_1DeploymentsList(output.autoUpdateOutdatedInstancesDeploymentIds, context)
            : undefined,
        autoUpdateOutdatedInstancesRootDeploymentId: __expectString(output.autoUpdateOutdatedInstancesRootDeploymentId),
    };
};
var deserializeAws_json1_1ResourceArnRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ResourceValidationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1RevisionDoesNotExistException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1RevisionInfo = function (output, context) {
    return {
        genericRevisionInfo: output.genericRevisionInfo !== undefined && output.genericRevisionInfo !== null
            ? deserializeAws_json1_1GenericRevisionInfo(output.genericRevisionInfo, context)
            : undefined,
        revisionLocation: output.revisionLocation !== undefined && output.revisionLocation !== null
            ? deserializeAws_json1_1RevisionLocation(output.revisionLocation, context)
            : undefined,
    };
};
var deserializeAws_json1_1RevisionInfoList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1RevisionInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1RevisionLocation = function (output, context) {
    return {
        appSpecContent: output.appSpecContent !== undefined && output.appSpecContent !== null
            ? deserializeAws_json1_1AppSpecContent(output.appSpecContent, context)
            : undefined,
        gitHubLocation: output.gitHubLocation !== undefined && output.gitHubLocation !== null
            ? deserializeAws_json1_1GitHubLocation(output.gitHubLocation, context)
            : undefined,
        revisionType: __expectString(output.revisionType),
        s3Location: output.s3Location !== undefined && output.s3Location !== null
            ? deserializeAws_json1_1S3Location(output.s3Location, context)
            : undefined,
        string: output.string !== undefined && output.string !== null
            ? deserializeAws_json1_1RawString(output.string, context)
            : undefined,
    };
};
var deserializeAws_json1_1RevisionLocationList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1RevisionLocation(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1RevisionRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1RoleRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1RollbackInfo = function (output, context) {
    return {
        rollbackDeploymentId: __expectString(output.rollbackDeploymentId),
        rollbackMessage: __expectString(output.rollbackMessage),
        rollbackTriggeringDeploymentId: __expectString(output.rollbackTriggeringDeploymentId),
    };
};
var deserializeAws_json1_1S3Location = function (output, context) {
    return {
        bucket: __expectString(output.bucket),
        bundleType: __expectString(output.bundleType),
        eTag: __expectString(output.eTag),
        key: __expectString(output.key),
        version: __expectString(output.version),
    };
};
var deserializeAws_json1_1StopDeploymentOutput = function (output, context) {
    return {
        status: __expectString(output.status),
        statusMessage: __expectString(output.statusMessage),
    };
};
var deserializeAws_json1_1Tag = function (output, context) {
    return {
        Key: __expectString(output.Key),
        Value: __expectString(output.Value),
    };
};
var deserializeAws_json1_1TagFilter = function (output, context) {
    return {
        Key: __expectString(output.Key),
        Type: __expectString(output.Type),
        Value: __expectString(output.Value),
    };
};
var deserializeAws_json1_1TagFilterList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TagFilter(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TagLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1TagList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Tag(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TagRequiredException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1TagResourceOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1TagSetListLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1TargetGroupInfo = function (output, context) {
    return {
        name: __expectString(output.name),
    };
};
var deserializeAws_json1_1TargetGroupInfoList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TargetGroupInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TargetGroupPairInfo = function (output, context) {
    return {
        prodTrafficRoute: output.prodTrafficRoute !== undefined && output.prodTrafficRoute !== null
            ? deserializeAws_json1_1TrafficRoute(output.prodTrafficRoute, context)
            : undefined,
        targetGroups: output.targetGroups !== undefined && output.targetGroups !== null
            ? deserializeAws_json1_1TargetGroupInfoList(output.targetGroups, context)
            : undefined,
        testTrafficRoute: output.testTrafficRoute !== undefined && output.testTrafficRoute !== null
            ? deserializeAws_json1_1TrafficRoute(output.testTrafficRoute, context)
            : undefined,
    };
};
var deserializeAws_json1_1TargetGroupPairInfoList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TargetGroupPairInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TargetIdList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1TargetInstances = function (output, context) {
    return {
        autoScalingGroups: output.autoScalingGroups !== undefined && output.autoScalingGroups !== null
            ? deserializeAws_json1_1AutoScalingGroupNameList(output.autoScalingGroups, context)
            : undefined,
        ec2TagSet: output.ec2TagSet !== undefined && output.ec2TagSet !== null
            ? deserializeAws_json1_1EC2TagSet(output.ec2TagSet, context)
            : undefined,
        tagFilters: output.tagFilters !== undefined && output.tagFilters !== null
            ? deserializeAws_json1_1EC2TagFilterList(output.tagFilters, context)
            : undefined,
    };
};
var deserializeAws_json1_1ThrottlingException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1TimeBasedCanary = function (output, context) {
    return {
        canaryInterval: __expectInt32(output.canaryInterval),
        canaryPercentage: __expectInt32(output.canaryPercentage),
    };
};
var deserializeAws_json1_1TimeBasedLinear = function (output, context) {
    return {
        linearInterval: __expectInt32(output.linearInterval),
        linearPercentage: __expectInt32(output.linearPercentage),
    };
};
var deserializeAws_json1_1TrafficRoute = function (output, context) {
    return {
        listenerArns: output.listenerArns !== undefined && output.listenerArns !== null
            ? deserializeAws_json1_1ListenerArnList(output.listenerArns, context)
            : undefined,
    };
};
var deserializeAws_json1_1TrafficRoutingConfig = function (output, context) {
    return {
        timeBasedCanary: output.timeBasedCanary !== undefined && output.timeBasedCanary !== null
            ? deserializeAws_json1_1TimeBasedCanary(output.timeBasedCanary, context)
            : undefined,
        timeBasedLinear: output.timeBasedLinear !== undefined && output.timeBasedLinear !== null
            ? deserializeAws_json1_1TimeBasedLinear(output.timeBasedLinear, context)
            : undefined,
        type: __expectString(output.type),
    };
};
var deserializeAws_json1_1TriggerConfig = function (output, context) {
    return {
        triggerEvents: output.triggerEvents !== undefined && output.triggerEvents !== null
            ? deserializeAws_json1_1TriggerEventTypeList(output.triggerEvents, context)
            : undefined,
        triggerName: __expectString(output.triggerName),
        triggerTargetArn: __expectString(output.triggerTargetArn),
    };
};
var deserializeAws_json1_1TriggerConfigList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TriggerConfig(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TriggerEventTypeList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1TriggerTargetsLimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1UnsupportedActionForDeploymentTypeException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1UntagResourceOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1UpdateDeploymentGroupOutput = function (output, context) {
    return {
        hooksNotCleanedUp: output.hooksNotCleanedUp !== undefined && output.hooksNotCleanedUp !== null
            ? deserializeAws_json1_1AutoScalingGroupList(output.hooksNotCleanedUp, context)
            : undefined,
    };
};
var deserializeMetadata = function (output) {
    var _a;
    return ({
        httpStatusCode: output.statusCode,
        requestId: (_a = output.headers["x-amzn-requestid"]) !== null && _a !== void 0 ? _a : output.headers["x-amzn-request-id"],
        extendedRequestId: output.headers["x-amz-id-2"],
        cfId: output.headers["x-amz-cf-id"],
    });
};
var collectBody = function (streamBody, context) {
    if (streamBody === void 0) { streamBody = new Uint8Array(); }
    if (streamBody instanceof Uint8Array) {
        return Promise.resolve(streamBody);
    }
    return context.streamCollector(streamBody) || Promise.resolve(new Uint8Array());
};
var collectBodyString = function (streamBody, context) {
    return collectBody(streamBody, context).then(function (body) { return context.utf8Encoder(body); });
};
var buildHttpRpcRequest = function (context, headers, path, resolvedHostname, body) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, contents;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                contents = {
                    protocol: protocol,
                    hostname: hostname,
                    port: port,
                    method: "POST",
                    path: basePath.endsWith("/") ? basePath.slice(0, -1) + path : basePath + path,
                    headers: headers,
                };
                if (resolvedHostname !== undefined) {
                    contents.hostname = resolvedHostname;
                }
                if (body !== undefined) {
                    contents.body = body;
                }
                return [2, new __HttpRequest(contents)];
        }
    });
}); };
var parseBody = function (streamBody, context) {
    return collectBodyString(streamBody, context).then(function (encoded) {
        if (encoded.length) {
            return JSON.parse(encoded);
        }
        return {};
    });
};
var loadRestJsonErrorCode = function (output, data) {
    var findKey = function (object, key) { return Object.keys(object).find(function (k) { return k.toLowerCase() === key.toLowerCase(); }); };
    var sanitizeErrorCode = function (rawValue) {
        var cleanValue = rawValue;
        if (cleanValue.indexOf(":") >= 0) {
            cleanValue = cleanValue.split(":")[0];
        }
        if (cleanValue.indexOf("#") >= 0) {
            cleanValue = cleanValue.split("#")[1];
        }
        return cleanValue;
    };
    var headerKey = findKey(output.headers, "x-amzn-errortype");
    if (headerKey !== undefined) {
        return sanitizeErrorCode(output.headers[headerKey]);
    }
    if (data.code !== undefined) {
        return sanitizeErrorCode(data.code);
    }
    if (data["__type"] !== undefined) {
        return sanitizeErrorCode(data["__type"]);
    }
    return "";
};
